```
███████╗██╗   ██╗██████╗ ███████╗██████╗
██╔════╝██║   ██║██╔══██╗██╔════╝██╔══██╗
███████╗██║   ██║██████╔╝█████╗  ██████╔╝
╚════██║██║   ██║██╔═══╝ ██╔══╝  ██╔══██╗
███████║╚██████╔╝██║     ███████╗██║  ██║
╚══════╝ ╚═════╝ ╚═╝     ╚══════╝╚═╝  ╚═╝
██████╗  ██████╗ ██╗    ██╗███████╗██████╗ ███████╗
██╔══██╗██╔═══██╗██║    ██║██╔════╝██╔══██╗██╔════╝
██████╔╝██║   ██║██║ █╗ ██║█████╗  ██████╔╝███████╗
██╔═══╝ ██║   ██║██║███╗██║██╔══╝  ██╔══██╗╚════██║
██║     ╚██████╔╝╚███╔███╔╝███████╗██║  ██║███████║
╚═╝      ╚═════╝  ╚══╝╚══╝ ╚══════╝╚═╝  ╚═╝╚══════╝
```

### What is JCB Super Powers?
The Joomla Component Builder (JCB) Super Power features are designed to enhance JCB's functionality and streamline the development process. These Super Powers enable developers to efficiently manage and share their custom powers across multiple JCB instances through repositories hosted on [https://git.vdm.dev/[username]/[repository-name]](https://git.vdm.dev). JCB Super Powers are managed using a combination of layers, events, tasks, methods, switches, and algorithms, which work together to provide powerful customization and extensibility options. More details on JCB Super Powers can be found in the [Super Powers Documentation](https://git.vdm.dev/joomla/super-powers/wiki).

In summary, JCB Super Powers offer a flexible and efficient way to manage and share functionalities between JCB instances. By utilizing a sophisticated system of layers, events, tasks, methods, switches, and algorithms, developers can seamlessly integrate JCB core powers and their custom powers. For more information on how to work with JCB Super Powers, refer to the [Super Powers User Guide](https://git.vdm.dev/joomla/super-powers/wiki).

### What can I find here?
This repository contains an index (see below) of all the approved powers within the JCB GUI. During the compilation of a component, these powers are automatically added to the repository, ensuring a well-organized and accessible collection of functionalities.

# Index of powers

- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler](#vdm-joomla-componentbuilder-compiler)

  - **abstract class Factory** | [Details](src/d910d8b8-4c23-4f3e-8cda-438f2d2bd7ac) | [Code](src/d910d8b8-4c23-4f3e-8cda-438f2d2bd7ac/code.php) | [Settings](src/d910d8b8-4c23-4f3e-8cda-438f2d2bd7ac/settings.json) | [d910d8b8-4c23-4f3e-8cda-438f2d2bd7ac](src/d910d8b8-4c23-4f3e-8cda-438f2d2bd7ac)
  - **class Component** | [Details](src/e2472b22-a329-44d8-b4a2-ae3ba99e17a0) | [Code](src/e2472b22-a329-44d8-b4a2-ae3ba99e17a0/code.php) | [Settings](src/e2472b22-a329-44d8-b4a2-ae3ba99e17a0/settings.json) | [e2472b22-a329-44d8-b4a2-ae3ba99e17a0](src/e2472b22-a329-44d8-b4a2-ae3ba99e17a0)
  - **class Config** | [Details](src/fa4bf18e-301e-42e3-91fb-6e0096c07adc) | [Code](src/fa4bf18e-301e-42e3-91fb-6e0096c07adc/code.php) | [Settings](src/fa4bf18e-301e-42e3-91fb-6e0096c07adc/settings.json) | [fa4bf18e-301e-42e3-91fb-6e0096c07adc](src/fa4bf18e-301e-42e3-91fb-6e0096c07adc)
  - **class Content** | [Details](src/adfbe68a-6d22-43e5-aee8-2787e8c47e75) | [Code](src/adfbe68a-6d22-43e5-aee8-2787e8c47e75/code.php) | [Settings](src/adfbe68a-6d22-43e5-aee8-2787e8c47e75/settings.json) | [adfbe68a-6d22-43e5-aee8-2787e8c47e75](src/adfbe68a-6d22-43e5-aee8-2787e8c47e75)
  - **class Customcode** | [Details](src/313b43c4-98c3-4f62-9177-2d73ec8eba31) | [Code](src/313b43c4-98c3-4f62-9177-2d73ec8eba31/code.php) | [Settings](src/313b43c4-98c3-4f62-9177-2d73ec8eba31/settings.json) | [313b43c4-98c3-4f62-9177-2d73ec8eba31](src/313b43c4-98c3-4f62-9177-2d73ec8eba31)
  - **class Field** | [Details](src/d7ba2d5d-10b6-470d-978d-9f91ea65ee75) | [Code](src/d7ba2d5d-10b6-470d-978d-9f91ea65ee75/code.php) | [Settings](src/d7ba2d5d-10b6-470d-978d-9f91ea65ee75/settings.json) | [d7ba2d5d-10b6-470d-978d-9f91ea65ee75](src/d7ba2d5d-10b6-470d-978d-9f91ea65ee75)
  - **class Language** | [Details](src/8eee7df5-2775-41a9-9372-c46c5939a252) | [Code](src/8eee7df5-2775-41a9-9372-c46c5939a252/code.php) | [Settings](src/8eee7df5-2775-41a9-9372-c46c5939a252/settings.json) | [8eee7df5-2775-41a9-9372-c46c5939a252](src/8eee7df5-2775-41a9-9372-c46c5939a252)
  - **class Placeholder** | [Details](src/06453ada-e370-49f0-b262-e3f5a8ed0c2c) | [Code](src/06453ada-e370-49f0-b262-e3f5a8ed0c2c/code.php) | [Settings](src/06453ada-e370-49f0-b262-e3f5a8ed0c2c/settings.json) | [06453ada-e370-49f0-b262-e3f5a8ed0c2c](src/06453ada-e370-49f0-b262-e3f5a8ed0c2c)
  - **class Power** | [Details](src/b836c1b1-b6b1-44f7-b8a2-9a763a4185b1) | [Code](src/b836c1b1-b6b1-44f7-b8a2-9a763a4185b1/code.php) | [Settings](src/b836c1b1-b6b1-44f7-b8a2-9a763a4185b1/settings.json) | [b836c1b1-b6b1-44f7-b8a2-9a763a4185b1](src/b836c1b1-b6b1-44f7-b8a2-9a763a4185b1)
  - **class Registry** | [Details](src/e5d9804f-0eb0-4ee9-b406-ad4e8cdbc1f6) | [Code](src/e5d9804f-0eb0-4ee9-b406-ad4e8cdbc1f6/code.php) | [Settings](src/e5d9804f-0eb0-4ee9-b406-ad4e8cdbc1f6/settings.json) | [e5d9804f-0eb0-4ee9-b406-ad4e8cdbc1f6](src/e5d9804f-0eb0-4ee9-b406-ad4e8cdbc1f6)
- **Namespace**: [VDM\Joomla\Componentbuilder\Interfaces](#vdm-joomla-componentbuilder-interfaces)

  - **interface Cryptinterface** | [Details](src/81de8f57-dd9c-4a17-964f-848cd4a0743b) | [Code](src/81de8f57-dd9c-4a17-964f-848cd4a0743b/code.php) | [Settings](src/81de8f57-dd9c-4a17-964f-848cd4a0743b/settings.json) | [81de8f57-dd9c-4a17-964f-848cd4a0743b](src/81de8f57-dd9c-4a17-964f-848cd4a0743b)
  - **interface FactoryInterface** | [Details](src/caf33c5d-858c-4f9a-894f-ab302ec5445a) | [Code](src/caf33c5d-858c-4f9a-894f-ab302ec5445a/code.php) | [Settings](src/caf33c5d-858c-4f9a-894f-ab302ec5445a/settings.json) | [caf33c5d-858c-4f9a-894f-ab302ec5445a](src/caf33c5d-858c-4f9a-894f-ab302ec5445a)
  - **interface InsertInterface** | [Details](src/ad12ca1c-d3ce-4e7f-88c5-c6c92bdedc48) | [Code](src/ad12ca1c-d3ce-4e7f-88c5-c6c92bdedc48/code.php) | [Settings](src/ad12ca1c-d3ce-4e7f-88c5-c6c92bdedc48/settings.json) | [ad12ca1c-d3ce-4e7f-88c5-c6c92bdedc48](src/ad12ca1c-d3ce-4e7f-88c5-c6c92bdedc48)
  - **interface LoadInterface** | [Details](src/2ad31f74-f579-499d-b98b-c4f54fd615dd) | [Code](src/2ad31f74-f579-499d-b98b-c4f54fd615dd/code.php) | [Settings](src/2ad31f74-f579-499d-b98b-c4f54fd615dd/settings.json) | [2ad31f74-f579-499d-b98b-c4f54fd615dd](src/2ad31f74-f579-499d-b98b-c4f54fd615dd)
  - **interface Mapperdoubleinterface** | [Details](src/fbc58009-fa16-4d49-a0dd-419c3b62d42f) | [Code](src/fbc58009-fa16-4d49-a0dd-419c3b62d42f/code.php) | [Settings](src/fbc58009-fa16-4d49-a0dd-419c3b62d42f/settings.json) | [fbc58009-fa16-4d49-a0dd-419c3b62d42f](src/fbc58009-fa16-4d49-a0dd-419c3b62d42f)
  - **interface Mappersingleinterface** | [Details](src/78527c29-24ad-4735-ad4c-ec33a4952d9b) | [Code](src/78527c29-24ad-4735-ad4c-ec33a4952d9b/code.php) | [Settings](src/78527c29-24ad-4735-ad4c-ec33a4952d9b/settings.json) | [78527c29-24ad-4735-ad4c-ec33a4952d9b](src/78527c29-24ad-4735-ad4c-ec33a4952d9b)
  - **interface ModelInterface** | [Details](src/8aef58c1-3f70-4bd4-b9e4-3f29fcd41cff) | [Code](src/8aef58c1-3f70-4bd4-b9e4-3f29fcd41cff/code.php) | [Settings](src/8aef58c1-3f70-4bd4-b9e4-3f29fcd41cff/settings.json) | [8aef58c1-3f70-4bd4-b9e4-3f29fcd41cff](src/8aef58c1-3f70-4bd4-b9e4-3f29fcd41cff)
  - **interface Serverinterface** | [Details](src/86ac0760-26f5-4746-9c7f-ce77860f80f8) | [Code](src/86ac0760-26f5-4746-9c7f-ce77860f80f8/code.php) | [Settings](src/86ac0760-26f5-4746-9c7f-ce77860f80f8/settings.json) | [86ac0760-26f5-4746-9c7f-ce77860f80f8](src/86ac0760-26f5-4746-9c7f-ce77860f80f8)
  - **interface Tableinterface** | [Details](src/2da6d6c4-eb29-4d69-8bc2-36d96e916adf) | [Code](src/2da6d6c4-eb29-4d69-8bc2-36d96e916adf/code.php) | [Settings](src/2da6d6c4-eb29-4d69-8bc2-36d96e916adf/settings.json) | [2da6d6c4-eb29-4d69-8bc2-36d96e916adf](src/2da6d6c4-eb29-4d69-8bc2-36d96e916adf)
- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler\Adminview](#vdm-joomla-componentbuilder-compiler-adminview)

  - **class Data** | [Details](src/cef2815b-f72b-402a-b769-f028f676692d) | [Code](src/cef2815b-f72b-402a-b769-f028f676692d/code.php) | [Settings](src/cef2815b-f72b-402a-b769-f028f676692d/settings.json) | [cef2815b-f72b-402a-b769-f028f676692d](src/cef2815b-f72b-402a-b769-f028f676692d)
- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler\Alias](#vdm-joomla-componentbuilder-compiler-alias)

  - **class Data** | [Details](src/f05ac28d-44f4-4e6d-a1be-5c8ae6baf69c) | [Code](src/f05ac28d-44f4-4e6d-a1be-5c8ae6baf69c/code.php) | [Settings](src/f05ac28d-44f4-4e6d-a1be-5c8ae6baf69c/settings.json) | [f05ac28d-44f4-4e6d-a1be-5c8ae6baf69c](src/f05ac28d-44f4-4e6d-a1be-5c8ae6baf69c)
- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler\Component](#vdm-joomla-componentbuilder-compiler-component)

  - **class Dashboard** | [Details](src/cfe62a32-8818-4bfb-8751-2f1e109b5336) | [Code](src/cfe62a32-8818-4bfb-8751-2f1e109b5336/code.php) | [Settings](src/cfe62a32-8818-4bfb-8751-2f1e109b5336/settings.json) | [cfe62a32-8818-4bfb-8751-2f1e109b5336](src/cfe62a32-8818-4bfb-8751-2f1e109b5336)
  - **class Data** | [Details](src/ef9578e5-4c9d-46bf-866f-3a94bdc7b753) | [Code](src/ef9578e5-4c9d-46bf-866f-3a94bdc7b753/code.php) | [Settings](src/ef9578e5-4c9d-46bf-866f-3a94bdc7b753/settings.json) | [ef9578e5-4c9d-46bf-866f-3a94bdc7b753](src/ef9578e5-4c9d-46bf-866f-3a94bdc7b753)
  - **class Placeholder** | [Details](src/aecc17ba-0b0f-4e5c-ae43-71be063a3dcb) | [Code](src/aecc17ba-0b0f-4e5c-ae43-71be063a3dcb/code.php) | [Settings](src/aecc17ba-0b0f-4e5c-ae43-71be063a3dcb/settings.json) | [aecc17ba-0b0f-4e5c-ae43-71be063a3dcb](src/aecc17ba-0b0f-4e5c-ae43-71be063a3dcb)
  - **class Settings** | [Details](src/63dabe82-0f4a-4ade-9851-8518ade23de2) | [Code](src/63dabe82-0f4a-4ade-9851-8518ade23de2/code.php) | [Settings](src/63dabe82-0f4a-4ade-9851-8518ade23de2/settings.json) | [63dabe82-0f4a-4ade-9851-8518ade23de2](src/63dabe82-0f4a-4ade-9851-8518ade23de2)
  - **class Structure** | [Details](src/6c89c663-78f5-4078-9fac-7047f2eaaf96) | [Code](src/6c89c663-78f5-4078-9fac-7047f2eaaf96/code.php) | [Settings](src/6c89c663-78f5-4078-9fac-7047f2eaaf96/settings.json) | [6c89c663-78f5-4078-9fac-7047f2eaaf96](src/6c89c663-78f5-4078-9fac-7047f2eaaf96)
  - **class Structuremultiple** | [Details](src/b69a23db-0a62-4840-a9c5-b2d8d63ecc6c) | [Code](src/b69a23db-0a62-4840-a9c5-b2d8d63ecc6c/code.php) | [Settings](src/b69a23db-0a62-4840-a9c5-b2d8d63ecc6c/settings.json) | [b69a23db-0a62-4840-a9c5-b2d8d63ecc6c](src/b69a23db-0a62-4840-a9c5-b2d8d63ecc6c)
  - **class Structuresingle** | [Details](src/673954d3-78d3-445a-b99f-4b40d617c882) | [Code](src/673954d3-78d3-445a-b99f-4b40d617c882/code.php) | [Settings](src/673954d3-78d3-445a-b99f-4b40d617c882/settings.json) | [673954d3-78d3-445a-b99f-4b40d617c882](src/673954d3-78d3-445a-b99f-4b40d617c882)
- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler\Customcode](#vdm-joomla-componentbuilder-compiler-customcode)

  - **class Dispenser** | [Details](src/f1dc6430-fb54-452e-aa53-ce32ae93db88) | [Code](src/f1dc6430-fb54-452e-aa53-ce32ae93db88/code.php) | [Settings](src/f1dc6430-fb54-452e-aa53-ce32ae93db88/settings.json) | [f1dc6430-fb54-452e-aa53-ce32ae93db88](src/f1dc6430-fb54-452e-aa53-ce32ae93db88)
  - **class External** | [Details](src/1cef0266-99e2-40d8-919f-c2ce32226b0a) | [Code](src/1cef0266-99e2-40d8-919f-c2ce32226b0a/code.php) | [Settings](src/1cef0266-99e2-40d8-919f-c2ce32226b0a/settings.json) | [1cef0266-99e2-40d8-919f-c2ce32226b0a](src/1cef0266-99e2-40d8-919f-c2ce32226b0a)
  - **class Extractor** | [Details](src/01411bb1-fdd6-4cca-84d7-1b62d93c70c1) | [Code](src/01411bb1-fdd6-4cca-84d7-1b62d93c70c1/code.php) | [Settings](src/01411bb1-fdd6-4cca-84d7-1b62d93c70c1/settings.json) | [01411bb1-fdd6-4cca-84d7-1b62d93c70c1](src/01411bb1-fdd6-4cca-84d7-1b62d93c70c1)
  - **class Gui** | [Details](src/1bd48df2-4f7e-4581-9fe9-4b54e59105e3) | [Code](src/1bd48df2-4f7e-4581-9fe9-4b54e59105e3/code.php) | [Settings](src/1bd48df2-4f7e-4581-9fe9-4b54e59105e3/settings.json) | [1bd48df2-4f7e-4581-9fe9-4b54e59105e3](src/1bd48df2-4f7e-4581-9fe9-4b54e59105e3)
  - **class Hash** | [Details](src/797579e8-b272-41ed-91de-428cb0b3e089) | [Code](src/797579e8-b272-41ed-91de-428cb0b3e089/code.php) | [Settings](src/797579e8-b272-41ed-91de-428cb0b3e089/settings.json) | [797579e8-b272-41ed-91de-428cb0b3e089](src/797579e8-b272-41ed-91de-428cb0b3e089)
  - **class LockBase** | [Details](src/7c07c9d6-34cd-4491-934a-ef0a83f414c0) | [Code](src/7c07c9d6-34cd-4491-934a-ef0a83f414c0/code.php) | [Settings](src/7c07c9d6-34cd-4491-934a-ef0a83f414c0/settings.json) | [7c07c9d6-34cd-4491-934a-ef0a83f414c0](src/7c07c9d6-34cd-4491-934a-ef0a83f414c0)
- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler\Customview](#vdm-joomla-componentbuilder-compiler-customview)

  - **class Data** | [Details](src/3b6895da-d9eb-4164-90b1-4632a4cc2474) | [Code](src/3b6895da-d9eb-4164-90b1-4632a4cc2474/code.php) | [Settings](src/3b6895da-d9eb-4164-90b1-4632a4cc2474/settings.json) | [3b6895da-d9eb-4164-90b1-4632a4cc2474](src/3b6895da-d9eb-4164-90b1-4632a4cc2474)
- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler\Dynamicget](#vdm-joomla-componentbuilder-compiler-dynamicget)

  - **class Data** | [Details](src/05c49a1f-ba5b-4be1-b3d0-4a74c42f7a46) | [Code](src/05c49a1f-ba5b-4be1-b3d0-4a74c42f7a46/code.php) | [Settings](src/05c49a1f-ba5b-4be1-b3d0-4a74c42f7a46/settings.json) | [05c49a1f-ba5b-4be1-b3d0-4a74c42f7a46](src/05c49a1f-ba5b-4be1-b3d0-4a74c42f7a46)
  - **class Selection** | [Details](src/5b021139-dad0-4e9b-882a-2b4d807795af) | [Code](src/5b021139-dad0-4e9b-882a-2b4d807795af/code.php) | [Settings](src/5b021139-dad0-4e9b-882a-2b4d807795af/settings.json) | [5b021139-dad0-4e9b-882a-2b4d807795af](src/5b021139-dad0-4e9b-882a-2b4d807795af)
- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler\Field](#vdm-joomla-componentbuilder-compiler-field)

  - **class Customcode** | [Details](src/a356d103-74f3-49ca-8e4f-3bd37746f089) | [Code](src/a356d103-74f3-49ca-8e4f-3bd37746f089/code.php) | [Settings](src/a356d103-74f3-49ca-8e4f-3bd37746f089/settings.json) | [a356d103-74f3-49ca-8e4f-3bd37746f089](src/a356d103-74f3-49ca-8e4f-3bd37746f089)
  - **class Data** | [Details](src/ce826b66-0f2d-43da-8005-41b8e4cb21ee) | [Code](src/ce826b66-0f2d-43da-8005-41b8e4cb21ee/code.php) | [Settings](src/ce826b66-0f2d-43da-8005-41b8e4cb21ee/settings.json) | [ce826b66-0f2d-43da-8005-41b8e4cb21ee](src/ce826b66-0f2d-43da-8005-41b8e4cb21ee)
  - **class DatabaseName** | [Details](src/99368a6f-2f64-4d4e-ad3a-544d4020ecc6) | [Code](src/99368a6f-2f64-4d4e-ad3a-544d4020ecc6/code.php) | [Settings](src/99368a6f-2f64-4d4e-ad3a-544d4020ecc6/settings.json) | [99368a6f-2f64-4d4e-ad3a-544d4020ecc6](src/99368a6f-2f64-4d4e-ad3a-544d4020ecc6)
  - **class Name** | [Details](src/9387215f-a965-4421-acf3-5e8f9d11382f) | [Code](src/9387215f-a965-4421-acf3-5e8f9d11382f/code.php) | [Settings](src/9387215f-a965-4421-acf3-5e8f9d11382f/settings.json) | [9387215f-a965-4421-acf3-5e8f9d11382f](src/9387215f-a965-4421-acf3-5e8f9d11382f)
  - **class TypeName** | [Details](src/eb33420d-359d-44a5-852e-613aef1feaae) | [Code](src/eb33420d-359d-44a5-852e-613aef1feaae/code.php) | [Settings](src/eb33420d-359d-44a5-852e-613aef1feaae/settings.json) | [eb33420d-359d-44a5-852e-613aef1feaae](src/eb33420d-359d-44a5-852e-613aef1feaae)
  - **class UniqueName** | [Details](src/8c018533-e967-4bf2-9bd9-9e92966fcb5e) | [Code](src/8c018533-e967-4bf2-9bd9-9e92966fcb5e/code.php) | [Settings](src/8c018533-e967-4bf2-9bd9-9e92966fcb5e/settings.json) | [8c018533-e967-4bf2-9bd9-9e92966fcb5e](src/8c018533-e967-4bf2-9bd9-9e92966fcb5e)
  - **class Validation** | [Details](src/c871fb4a-4c33-4302-bb79-a9cd7ef4a557) | [Code](src/c871fb4a-4c33-4302-bb79-a9cd7ef4a557/code.php) | [Settings](src/c871fb4a-4c33-4302-bb79-a9cd7ef4a557/settings.json) | [c871fb4a-4c33-4302-bb79-a9cd7ef4a557](src/c871fb4a-4c33-4302-bb79-a9cd7ef4a557)
- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler\Interfaces](#vdm-joomla-componentbuilder-compiler-interfaces)

  - **interface CustomcodeInterface** | [Details](src/33bdc535-0ff1-40c8-bb22-b5d44f1731c4) | [Code](src/33bdc535-0ff1-40c8-bb22-b5d44f1731c4/code.php) | [Settings](src/33bdc535-0ff1-40c8-bb22-b5d44f1731c4/settings.json) | [33bdc535-0ff1-40c8-bb22-b5d44f1731c4](src/33bdc535-0ff1-40c8-bb22-b5d44f1731c4)
  - **interface EventInterface** | [Details](src/20ed72b0-fcac-4344-aee1-8a65e3bf221d) | [Code](src/20ed72b0-fcac-4344-aee1-8a65e3bf221d/code.php) | [Settings](src/20ed72b0-fcac-4344-aee1-8a65e3bf221d/settings.json) | [20ed72b0-fcac-4344-aee1-8a65e3bf221d](src/20ed72b0-fcac-4344-aee1-8a65e3bf221d)
  - **interface GetScriptInterface** | [Details](src/2e6731ba-3a03-4836-b2c2-4e50e38cb890) | [Code](src/2e6731ba-3a03-4836-b2c2-4e50e38cb890/code.php) | [Settings](src/2e6731ba-3a03-4836-b2c2-4e50e38cb890/settings.json) | [2e6731ba-3a03-4836-b2c2-4e50e38cb890](src/2e6731ba-3a03-4836-b2c2-4e50e38cb890)
  - **interface HistoryInterface** | [Details](src/4325745f-da1f-4d4d-a591-3189fe8c06e5) | [Code](src/4325745f-da1f-4d4d-a591-3189fe8c06e5/code.php) | [Settings](src/4325745f-da1f-4d4d-a591-3189fe8c06e5/settings.json) | [4325745f-da1f-4d4d-a591-3189fe8c06e5](src/4325745f-da1f-4d4d-a591-3189fe8c06e5)
  - **interface LanguageInterface** | [Details](src/d6592c9b-93a6-41b3-83c7-c43a0a80cb83) | [Code](src/d6592c9b-93a6-41b3-83c7-c43a0a80cb83/code.php) | [Settings](src/d6592c9b-93a6-41b3-83c7-c43a0a80cb83/settings.json) | [d6592c9b-93a6-41b3-83c7-c43a0a80cb83](src/d6592c9b-93a6-41b3-83c7-c43a0a80cb83)
  - **interface PlaceholderInterface** | [Details](src/a6cdd935-c038-4a54-8446-54bed87f003c) | [Code](src/a6cdd935-c038-4a54-8446-54bed87f003c/code.php) | [Settings](src/a6cdd935-c038-4a54-8446-54bed87f003c/settings.json) | [a6cdd935-c038-4a54-8446-54bed87f003c](src/a6cdd935-c038-4a54-8446-54bed87f003c)
  - **interface PowerInterface** | [Details](src/1133c2d7-ba7e-4c95-8cde-01f084d04682) | [Code](src/1133c2d7-ba7e-4c95-8cde-01f084d04682/code.php) | [Settings](src/1133c2d7-ba7e-4c95-8cde-01f084d04682/settings.json) | [1133c2d7-ba7e-4c95-8cde-01f084d04682](src/1133c2d7-ba7e-4c95-8cde-01f084d04682)
- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler\JoomlaThree](#vdm-joomla-componentbuilder-compiler-joomlathree)

  - **class Event** | [Details](src/4b86f62e-ce41-4325-a11a-08148807d0df) | [Code](src/4b86f62e-ce41-4325-a11a-08148807d0df/code.php) | [Settings](src/4b86f62e-ce41-4325-a11a-08148807d0df/settings.json) | [4b86f62e-ce41-4325-a11a-08148807d0df](src/4b86f62e-ce41-4325-a11a-08148807d0df)
  - **class History** | [Details](src/87db51b9-1126-4c21-858b-53dbd3a68b61) | [Code](src/87db51b9-1126-4c21-858b-53dbd3a68b61/code.php) | [Settings](src/87db51b9-1126-4c21-858b-53dbd3a68b61/settings.json) | [87db51b9-1126-4c21-858b-53dbd3a68b61](src/87db51b9-1126-4c21-858b-53dbd3a68b61)
- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler\Joomlamodule](#vdm-joomla-componentbuilder-compiler-joomlamodule)

  - **class Data** | [Details](src/cb11e8d9-69c2-4095-831c-59908ea402e7) | [Code](src/cb11e8d9-69c2-4095-831c-59908ea402e7/code.php) | [Settings](src/cb11e8d9-69c2-4095-831c-59908ea402e7/settings.json) | [cb11e8d9-69c2-4095-831c-59908ea402e7](src/cb11e8d9-69c2-4095-831c-59908ea402e7)
  - **class Structure** | [Details](src/071c7cff-4c88-4b80-bd99-066c572dcb71) | [Code](src/071c7cff-4c88-4b80-bd99-066c572dcb71/code.php) | [Settings](src/071c7cff-4c88-4b80-bd99-066c572dcb71/settings.json) | [071c7cff-4c88-4b80-bd99-066c572dcb71](src/071c7cff-4c88-4b80-bd99-066c572dcb71)
- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler\Joomlaplugin](#vdm-joomla-componentbuilder-compiler-joomlaplugin)

  - **class Data** | [Details](src/766a9524-37df-4604-91a7-b98a6150ee26) | [Code](src/766a9524-37df-4604-91a7-b98a6150ee26/code.php) | [Settings](src/766a9524-37df-4604-91a7-b98a6150ee26/settings.json) | [766a9524-37df-4604-91a7-b98a6150ee26](src/766a9524-37df-4604-91a7-b98a6150ee26)
  - **class Structure** | [Details](src/a900b836-f2eb-4f13-8f28-b7cac839c7ff) | [Code](src/a900b836-f2eb-4f13-8f28-b7cac839c7ff/code.php) | [Settings](src/a900b836-f2eb-4f13-8f28-b7cac839c7ff/settings.json) | [a900b836-f2eb-4f13-8f28-b7cac839c7ff](src/a900b836-f2eb-4f13-8f28-b7cac839c7ff)
- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler\Language](#vdm-joomla-componentbuilder-compiler-language)

  - **class Extractor** | [Details](src/d33b9278-c409-4aec-a047-b72f56712391) | [Code](src/d33b9278-c409-4aec-a047-b72f56712391/code.php) | [Settings](src/d33b9278-c409-4aec-a047-b72f56712391/settings.json) | [d33b9278-c409-4aec-a047-b72f56712391](src/d33b9278-c409-4aec-a047-b72f56712391)
- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler\Library](#vdm-joomla-componentbuilder-compiler-library)

  - **class Data** | [Details](src/7175c1cd-2071-4cd7-b499-23881e168c3f) | [Code](src/7175c1cd-2071-4cd7-b499-23881e168c3f/code.php) | [Settings](src/7175c1cd-2071-4cd7-b499-23881e168c3f/settings.json) | [7175c1cd-2071-4cd7-b499-23881e168c3f](src/7175c1cd-2071-4cd7-b499-23881e168c3f)
  - **class Structure** | [Details](src/d3ce5763-4d00-4245-a175-54fc2e80e9b7) | [Code](src/d3ce5763-4d00-4245-a175-54fc2e80e9b7/code.php) | [Settings](src/d3ce5763-4d00-4245-a175-54fc2e80e9b7/settings.json) | [d3ce5763-4d00-4245-a175-54fc2e80e9b7](src/d3ce5763-4d00-4245-a175-54fc2e80e9b7)
- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler\Model](#vdm-joomla-componentbuilder-compiler-model)

  - **class Adminviews** | [Details](src/cebdcccb-24c5-46db-92de-63453852dcb8) | [Code](src/cebdcccb-24c5-46db-92de-63453852dcb8/code.php) | [Settings](src/cebdcccb-24c5-46db-92de-63453852dcb8/settings.json) | [cebdcccb-24c5-46db-92de-63453852dcb8](src/cebdcccb-24c5-46db-92de-63453852dcb8)
  - **class Ajaxadmin** | [Details](src/4f575bd6-de97-41f8-80d6-259c8a6dd9ad) | [Code](src/4f575bd6-de97-41f8-80d6-259c8a6dd9ad/code.php) | [Settings](src/4f575bd6-de97-41f8-80d6-259c8a6dd9ad/settings.json) | [4f575bd6-de97-41f8-80d6-259c8a6dd9ad](src/4f575bd6-de97-41f8-80d6-259c8a6dd9ad)
  - **class Ajaxcustomview** | [Details](src/592aed4e-2c5f-4fc5-8f7a-409203d1af82) | [Code](src/592aed4e-2c5f-4fc5-8f7a-409203d1af82/code.php) | [Settings](src/592aed4e-2c5f-4fc5-8f7a-409203d1af82/settings.json) | [592aed4e-2c5f-4fc5-8f7a-409203d1af82](src/592aed4e-2c5f-4fc5-8f7a-409203d1af82)
  - **class Conditions** | [Details](src/55e61314-ba10-4e2b-92dd-b44adebabce9) | [Code](src/55e61314-ba10-4e2b-92dd-b44adebabce9/code.php) | [Settings](src/55e61314-ba10-4e2b-92dd-b44adebabce9/settings.json) | [55e61314-ba10-4e2b-92dd-b44adebabce9](src/55e61314-ba10-4e2b-92dd-b44adebabce9)
  - **class Createdate** | [Details](src/53cf9828-7ad4-4856-aac1-7c4c67bd3121) | [Code](src/53cf9828-7ad4-4856-aac1-7c4c67bd3121/code.php) | [Settings](src/53cf9828-7ad4-4856-aac1-7c4c67bd3121/settings.json) | [53cf9828-7ad4-4856-aac1-7c4c67bd3121](src/53cf9828-7ad4-4856-aac1-7c4c67bd3121)
  - **class Cssadminview** | [Details](src/e79842d3-51b7-4282-93c7-3487cd8b61ab) | [Code](src/e79842d3-51b7-4282-93c7-3487cd8b61ab/code.php) | [Settings](src/e79842d3-51b7-4282-93c7-3487cd8b61ab/settings.json) | [e79842d3-51b7-4282-93c7-3487cd8b61ab](src/e79842d3-51b7-4282-93c7-3487cd8b61ab)
  - **class Csscustomview** | [Details](src/3283a89c-329a-47fb-a011-0df6c31a5c73) | [Code](src/3283a89c-329a-47fb-a011-0df6c31a5c73/code.php) | [Settings](src/3283a89c-329a-47fb-a011-0df6c31a5c73/settings.json) | [3283a89c-329a-47fb-a011-0df6c31a5c73](src/3283a89c-329a-47fb-a011-0df6c31a5c73)
  - **class Customadminviews** | [Details](src/e0e24173-a808-4dd5-8e26-de971d014f86) | [Code](src/e0e24173-a808-4dd5-8e26-de971d014f86/code.php) | [Settings](src/e0e24173-a808-4dd5-8e26-de971d014f86/settings.json) | [e0e24173-a808-4dd5-8e26-de971d014f86](src/e0e24173-a808-4dd5-8e26-de971d014f86)
  - **class Customalias** | [Details](src/5f8e8fa6-3793-44af-882d-9cfb209434e9) | [Code](src/5f8e8fa6-3793-44af-882d-9cfb209434e9/code.php) | [Settings](src/5f8e8fa6-3793-44af-882d-9cfb209434e9/settings.json) | [5f8e8fa6-3793-44af-882d-9cfb209434e9](src/5f8e8fa6-3793-44af-882d-9cfb209434e9)
  - **class Custombuttons** | [Details](src/ebe3287d-bfa0-4519-b663-f442f4dea432) | [Code](src/ebe3287d-bfa0-4519-b663-f442f4dea432/code.php) | [Settings](src/ebe3287d-bfa0-4519-b663-f442f4dea432/settings.json) | [ebe3287d-bfa0-4519-b663-f442f4dea432](src/ebe3287d-bfa0-4519-b663-f442f4dea432)
  - **class Customimportscripts** | [Details](src/037c7274-fb16-455d-989a-bf1da022620b) | [Code](src/037c7274-fb16-455d-989a-bf1da022620b/code.php) | [Settings](src/037c7274-fb16-455d-989a-bf1da022620b/settings.json) | [037c7274-fb16-455d-989a-bf1da022620b](src/037c7274-fb16-455d-989a-bf1da022620b)
  - **class Customtabs** | [Details](src/fa8c1125-d370-4cb6-a7ff-eb32193c198c) | [Code](src/fa8c1125-d370-4cb6-a7ff-eb32193c198c/code.php) | [Settings](src/fa8c1125-d370-4cb6-a7ff-eb32193c198c/settings.json) | [fa8c1125-d370-4cb6-a7ff-eb32193c198c](src/fa8c1125-d370-4cb6-a7ff-eb32193c198c)
  - **class Dynamicget** | [Details](src/79740ee8-4d10-4b51-9ff5-18e1386ec1c6) | [Code](src/79740ee8-4d10-4b51-9ff5-18e1386ec1c6/code.php) | [Settings](src/79740ee8-4d10-4b51-9ff5-18e1386ec1c6/settings.json) | [79740ee8-4d10-4b51-9ff5-18e1386ec1c6](src/79740ee8-4d10-4b51-9ff5-18e1386ec1c6)
  - **class Fields** | [Details](src/e6a64c41-405e-4bbc-9722-27402c22bbea) | [Code](src/e6a64c41-405e-4bbc-9722-27402c22bbea/code.php) | [Settings](src/e6a64c41-405e-4bbc-9722-27402c22bbea/settings.json) | [e6a64c41-405e-4bbc-9722-27402c22bbea](src/e6a64c41-405e-4bbc-9722-27402c22bbea)
  - **class Filesfolders** | [Details](src/f4578c04-a81e-4218-b80d-b0612196eaf0) | [Code](src/f4578c04-a81e-4218-b80d-b0612196eaf0/code.php) | [Settings](src/f4578c04-a81e-4218-b80d-b0612196eaf0/settings.json) | [f4578c04-a81e-4218-b80d-b0612196eaf0](src/f4578c04-a81e-4218-b80d-b0612196eaf0)
  - **class Historyadminview** | [Details](src/6dfbf568-f3cd-4ea7-af04-6859447b5462) | [Code](src/6dfbf568-f3cd-4ea7-af04-6859447b5462/code.php) | [Settings](src/6dfbf568-f3cd-4ea7-af04-6859447b5462/settings.json) | [6dfbf568-f3cd-4ea7-af04-6859447b5462](src/6dfbf568-f3cd-4ea7-af04-6859447b5462)
  - **class Historycomponent** | [Details](src/17a728e9-d6cf-4060-9efb-241b0ff2f981) | [Code](src/17a728e9-d6cf-4060-9efb-241b0ff2f981/code.php) | [Settings](src/17a728e9-d6cf-4060-9efb-241b0ff2f981/settings.json) | [17a728e9-d6cf-4060-9efb-241b0ff2f981](src/17a728e9-d6cf-4060-9efb-241b0ff2f981)
  - **class Javascriptadminview** | [Details](src/dfd3c893-0296-46eb-9ae4-a0348713cd8f) | [Code](src/dfd3c893-0296-46eb-9ae4-a0348713cd8f/code.php) | [Settings](src/dfd3c893-0296-46eb-9ae4-a0348713cd8f/settings.json) | [dfd3c893-0296-46eb-9ae4-a0348713cd8f](src/dfd3c893-0296-46eb-9ae4-a0348713cd8f)
  - **class Javascriptcustomview** | [Details](src/29455d3b-df2b-4e41-8684-1608060e37a4) | [Code](src/29455d3b-df2b-4e41-8684-1608060e37a4/code.php) | [Settings](src/29455d3b-df2b-4e41-8684-1608060e37a4/settings.json) | [29455d3b-df2b-4e41-8684-1608060e37a4](src/29455d3b-df2b-4e41-8684-1608060e37a4)
  - **class Joomlamodules** | [Details](src/bfdc4ce5-cb12-4fc6-9023-51cede25edd0) | [Code](src/bfdc4ce5-cb12-4fc6-9023-51cede25edd0/code.php) | [Settings](src/bfdc4ce5-cb12-4fc6-9023-51cede25edd0/settings.json) | [bfdc4ce5-cb12-4fc6-9023-51cede25edd0](src/bfdc4ce5-cb12-4fc6-9023-51cede25edd0)
  - **class Joomlaplugins** | [Details](src/ef97b03e-1018-447a-8d7e-30401b0257bb) | [Code](src/ef97b03e-1018-447a-8d7e-30401b0257bb/code.php) | [Settings](src/ef97b03e-1018-447a-8d7e-30401b0257bb/settings.json) | [ef97b03e-1018-447a-8d7e-30401b0257bb](src/ef97b03e-1018-447a-8d7e-30401b0257bb)
  - **class Libraries** | [Details](src/59895f37-50c8-4af3-9dad-230e18841953) | [Code](src/59895f37-50c8-4af3-9dad-230e18841953/code.php) | [Settings](src/59895f37-50c8-4af3-9dad-230e18841953/settings.json) | [59895f37-50c8-4af3-9dad-230e18841953](src/59895f37-50c8-4af3-9dad-230e18841953)
  - **class Linkedviews** | [Details](src/ae1fa148-91be-4f80-89a9-69d91ba9d575) | [Code](src/ae1fa148-91be-4f80-89a9-69d91ba9d575/code.php) | [Settings](src/ae1fa148-91be-4f80-89a9-69d91ba9d575/settings.json) | [ae1fa148-91be-4f80-89a9-69d91ba9d575](src/ae1fa148-91be-4f80-89a9-69d91ba9d575)
  - **class Loader** | [Details](src/0d71c2d9-2fc0-4c20-82c5-43c46b0fc6f7) | [Code](src/0d71c2d9-2fc0-4c20-82c5-43c46b0fc6f7/code.php) | [Settings](src/0d71c2d9-2fc0-4c20-82c5-43c46b0fc6f7/settings.json) | [0d71c2d9-2fc0-4c20-82c5-43c46b0fc6f7](src/0d71c2d9-2fc0-4c20-82c5-43c46b0fc6f7)
  - **class Modifieddate** | [Details](src/9127e428-5dee-46cb-b3a9-ab5b91ea6df3) | [Code](src/9127e428-5dee-46cb-b3a9-ab5b91ea6df3/code.php) | [Settings](src/9127e428-5dee-46cb-b3a9-ab5b91ea6df3/settings.json) | [9127e428-5dee-46cb-b3a9-ab5b91ea6df3](src/9127e428-5dee-46cb-b3a9-ab5b91ea6df3)
  - **class Mysqlsettings** | [Details](src/35191b0c-f7f3-44d6-8ec1-c816b997bd4e) | [Code](src/35191b0c-f7f3-44d6-8ec1-c816b997bd4e/code.php) | [Settings](src/35191b0c-f7f3-44d6-8ec1-c816b997bd4e/settings.json) | [35191b0c-f7f3-44d6-8ec1-c816b997bd4e](src/35191b0c-f7f3-44d6-8ec1-c816b997bd4e)
  - **class Permissions** | [Details](src/0dabc67c-abec-4541-82bf-279abd3c9be1) | [Code](src/0dabc67c-abec-4541-82bf-279abd3c9be1/code.php) | [Settings](src/0dabc67c-abec-4541-82bf-279abd3c9be1/settings.json) | [0dabc67c-abec-4541-82bf-279abd3c9be1](src/0dabc67c-abec-4541-82bf-279abd3c9be1)
  - **class Phpadminview** | [Details](src/c20a63e0-0eeb-4424-9d08-b1bf0f049dfe) | [Code](src/c20a63e0-0eeb-4424-9d08-b1bf0f049dfe/code.php) | [Settings](src/c20a63e0-0eeb-4424-9d08-b1bf0f049dfe/settings.json) | [c20a63e0-0eeb-4424-9d08-b1bf0f049dfe](src/c20a63e0-0eeb-4424-9d08-b1bf0f049dfe)
  - **class Phpcustomview** | [Details](src/489da602-27c7-418c-bf59-1d45ad42bdcc) | [Code](src/489da602-27c7-418c-bf59-1d45ad42bdcc/code.php) | [Settings](src/489da602-27c7-418c-bf59-1d45ad42bdcc/settings.json) | [489da602-27c7-418c-bf59-1d45ad42bdcc](src/489da602-27c7-418c-bf59-1d45ad42bdcc)
  - **class Relations** | [Details](src/a8eb2fb1-88ed-4af8-842d-898eb915b588) | [Code](src/a8eb2fb1-88ed-4af8-842d-898eb915b588/code.php) | [Settings](src/a8eb2fb1-88ed-4af8-842d-898eb915b588/settings.json) | [a8eb2fb1-88ed-4af8-842d-898eb915b588](src/a8eb2fb1-88ed-4af8-842d-898eb915b588)
  - **class Siteviews** | [Details](src/e0075978-315d-4807-8507-ce9c6922a885) | [Code](src/e0075978-315d-4807-8507-ce9c6922a885/code.php) | [Settings](src/e0075978-315d-4807-8507-ce9c6922a885/settings.json) | [e0075978-315d-4807-8507-ce9c6922a885](src/e0075978-315d-4807-8507-ce9c6922a885)
  - **class Sql** | [Details](src/d4b418a7-bf9b-4768-969d-e07c36916fd2) | [Code](src/d4b418a7-bf9b-4768-969d-e07c36916fd2/code.php) | [Settings](src/d4b418a7-bf9b-4768-969d-e07c36916fd2/settings.json) | [d4b418a7-bf9b-4768-969d-e07c36916fd2](src/d4b418a7-bf9b-4768-969d-e07c36916fd2)
  - **class Sqldump** | [Details](src/a6e1227c-1efe-407d-84ef-03c6989a6a88) | [Code](src/a6e1227c-1efe-407d-84ef-03c6989a6a88/code.php) | [Settings](src/a6e1227c-1efe-407d-84ef-03c6989a6a88/settings.json) | [a6e1227c-1efe-407d-84ef-03c6989a6a88](src/a6e1227c-1efe-407d-84ef-03c6989a6a88)
  - **class Sqltweaking** | [Details](src/e50cbac5-9c9d-4fd4-aa7a-5e830719ed26) | [Code](src/e50cbac5-9c9d-4fd4-aa7a-5e830719ed26/code.php) | [Settings](src/e50cbac5-9c9d-4fd4-aa7a-5e830719ed26/settings.json) | [e50cbac5-9c9d-4fd4-aa7a-5e830719ed26](src/e50cbac5-9c9d-4fd4-aa7a-5e830719ed26)
  - **class Tabs** | [Details](src/143ac6ea-b64f-4331-9a97-31e3fce2bb69) | [Code](src/143ac6ea-b64f-4331-9a97-31e3fce2bb69/code.php) | [Settings](src/143ac6ea-b64f-4331-9a97-31e3fce2bb69/settings.json) | [143ac6ea-b64f-4331-9a97-31e3fce2bb69](src/143ac6ea-b64f-4331-9a97-31e3fce2bb69)
  - **class Updateserver** | [Details](src/1d0fd857-12ec-4f47-ab1c-124d85748e24) | [Code](src/1d0fd857-12ec-4f47-ab1c-124d85748e24/code.php) | [Settings](src/1d0fd857-12ec-4f47-ab1c-124d85748e24/settings.json) | [1d0fd857-12ec-4f47-ab1c-124d85748e24](src/1d0fd857-12ec-4f47-ab1c-124d85748e24)
  - **class Updatesql** | [Details](src/b80296eb-4718-4ed3-894d-69f3ac293733) | [Code](src/b80296eb-4718-4ed3-894d-69f3ac293733/code.php) | [Settings](src/b80296eb-4718-4ed3-894d-69f3ac293733/settings.json) | [b80296eb-4718-4ed3-894d-69f3ac293733](src/b80296eb-4718-4ed3-894d-69f3ac293733)
  - **class Whmcs** | [Details](src/af5beb21-214a-44f6-9090-7ea24c22e649) | [Code](src/af5beb21-214a-44f6-9090-7ea24c22e649/code.php) | [Settings](src/af5beb21-214a-44f6-9090-7ea24c22e649/settings.json) | [af5beb21-214a-44f6-9090-7ea24c22e649](src/af5beb21-214a-44f6-9090-7ea24c22e649)
- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler\Placeholder](#vdm-joomla-componentbuilder-compiler-placeholder)

  - **class Reverse** | [Details](src/ca111518-e47c-4049-b1b2-cb010f23866f) | [Code](src/ca111518-e47c-4049-b1b2-cb010f23866f/code.php) | [Settings](src/ca111518-e47c-4049-b1b2-cb010f23866f/settings.json) | [ca111518-e47c-4049-b1b2-cb010f23866f](src/ca111518-e47c-4049-b1b2-cb010f23866f)
- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler\Power](#vdm-joomla-componentbuilder-compiler-power)

  - **final class Parser** | [Details](src/95d0e03f-24fd-4412-bc2e-f0899fcc3205) | [Code](src/95d0e03f-24fd-4412-bc2e-f0899fcc3205/code.php) | [Settings](src/95d0e03f-24fd-4412-bc2e-f0899fcc3205/settings.json) | [95d0e03f-24fd-4412-bc2e-f0899fcc3205](src/95d0e03f-24fd-4412-bc2e-f0899fcc3205)
  - **class Autoloader** | [Details](src/6e64917c-d687-4ef3-a655-811319f5a81e) | [Code](src/6e64917c-d687-4ef3-a655-811319f5a81e/code.php) | [Settings](src/6e64917c-d687-4ef3-a655-811319f5a81e/settings.json) | [6e64917c-d687-4ef3-a655-811319f5a81e](src/6e64917c-d687-4ef3-a655-811319f5a81e)
  - **class Infusion** | [Details](src/0419081e-4cb3-4c65-8c6a-ffe941fb0f1c) | [Code](src/0419081e-4cb3-4c65-8c6a-ffe941fb0f1c/code.php) | [Settings](src/0419081e-4cb3-4c65-8c6a-ffe941fb0f1c/settings.json) | [0419081e-4cb3-4c65-8c6a-ffe941fb0f1c](src/0419081e-4cb3-4c65-8c6a-ffe941fb0f1c)
  - **class Plantuml** | [Details](src/ff5e9e63-86d0-4691-ab59-d4b9d9154096) | [Code](src/ff5e9e63-86d0-4691-ab59-d4b9d9154096/code.php) | [Settings](src/ff5e9e63-86d0-4691-ab59-d4b9d9154096/settings.json) | [ff5e9e63-86d0-4691-ab59-d4b9d9154096](src/ff5e9e63-86d0-4691-ab59-d4b9d9154096)
  - **class Structure** | [Details](src/324566de-0f7d-4b6e-9caf-8424d55013ae) | [Code](src/324566de-0f7d-4b6e-9caf-8424d55013ae/code.php) | [Settings](src/324566de-0f7d-4b6e-9caf-8424d55013ae/settings.json) | [324566de-0f7d-4b6e-9caf-8424d55013ae](src/324566de-0f7d-4b6e-9caf-8424d55013ae)
- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler\Service](#vdm-joomla-componentbuilder-compiler-service)

  - **class Adminview** | [Details](src/2dd1289a-4000-43cc-8c62-77ff32de56bf) | [Code](src/2dd1289a-4000-43cc-8c62-77ff32de56bf/code.php) | [Settings](src/2dd1289a-4000-43cc-8c62-77ff32de56bf/settings.json) | [2dd1289a-4000-43cc-8c62-77ff32de56bf](src/2dd1289a-4000-43cc-8c62-77ff32de56bf)
  - **class Builder** | [Details](src/2c76c06e-a371-4b73-9fbe-b4d9b4df55d7) | [Code](src/2c76c06e-a371-4b73-9fbe-b4d9b4df55d7/code.php) | [Settings](src/2c76c06e-a371-4b73-9fbe-b4d9b4df55d7/settings.json) | [2c76c06e-a371-4b73-9fbe-b4d9b4df55d7](src/2c76c06e-a371-4b73-9fbe-b4d9b4df55d7)
  - **class Compiler** | [Details](src/ea5ed06e-72ae-4906-9167-1cc0fa32fe69) | [Code](src/ea5ed06e-72ae-4906-9167-1cc0fa32fe69/code.php) | [Settings](src/ea5ed06e-72ae-4906-9167-1cc0fa32fe69/settings.json) | [ea5ed06e-72ae-4906-9167-1cc0fa32fe69](src/ea5ed06e-72ae-4906-9167-1cc0fa32fe69)
  - **class Component** | [Details](src/8a63e87b-b39b-4a15-8044-9b2a2f4fb61c) | [Code](src/8a63e87b-b39b-4a15-8044-9b2a2f4fb61c/code.php) | [Settings](src/8a63e87b-b39b-4a15-8044-9b2a2f4fb61c/settings.json) | [8a63e87b-b39b-4a15-8044-9b2a2f4fb61c](src/8a63e87b-b39b-4a15-8044-9b2a2f4fb61c)
  - **class Customcode** | [Details](src/a74ac3b7-bb79-4639-8f14-54a8021be68b) | [Code](src/a74ac3b7-bb79-4639-8f14-54a8021be68b/code.php) | [Settings](src/a74ac3b7-bb79-4639-8f14-54a8021be68b/settings.json) | [a74ac3b7-bb79-4639-8f14-54a8021be68b](src/a74ac3b7-bb79-4639-8f14-54a8021be68b)
  - **class Customview** | [Details](src/87faa133-4cac-4816-ae41-5c3f9a2f76aa) | [Code](src/87faa133-4cac-4816-ae41-5c3f9a2f76aa/code.php) | [Settings](src/87faa133-4cac-4816-ae41-5c3f9a2f76aa/settings.json) | [87faa133-4cac-4816-ae41-5c3f9a2f76aa](src/87faa133-4cac-4816-ae41-5c3f9a2f76aa)
  - **class Database** | [Details](src/4815e1c7-a433-443d-a112-d1e03d7df84b) | [Code](src/4815e1c7-a433-443d-a112-d1e03d7df84b/code.php) | [Settings](src/4815e1c7-a433-443d-a112-d1e03d7df84b/settings.json) | [4815e1c7-a433-443d-a112-d1e03d7df84b](src/4815e1c7-a433-443d-a112-d1e03d7df84b)
  - **class Event** | [Details](src/b94aaedb-6774-4739-a63f-8f87141a85db) | [Code](src/b94aaedb-6774-4739-a63f-8f87141a85db/code.php) | [Settings](src/b94aaedb-6774-4739-a63f-8f87141a85db/settings.json) | [b94aaedb-6774-4739-a63f-8f87141a85db](src/b94aaedb-6774-4739-a63f-8f87141a85db)
  - **class Extension** | [Details](src/ed9591cb-0a03-400a-bf47-eaf78ab19b9d) | [Code](src/ed9591cb-0a03-400a-bf47-eaf78ab19b9d/code.php) | [Settings](src/ed9591cb-0a03-400a-bf47-eaf78ab19b9d/settings.json) | [ed9591cb-0a03-400a-bf47-eaf78ab19b9d](src/ed9591cb-0a03-400a-bf47-eaf78ab19b9d)
  - **class Field** | [Details](src/c6c30d66-3106-44eb-9272-b2cf7ec74613) | [Code](src/c6c30d66-3106-44eb-9272-b2cf7ec74613/code.php) | [Settings](src/c6c30d66-3106-44eb-9272-b2cf7ec74613/settings.json) | [c6c30d66-3106-44eb-9272-b2cf7ec74613](src/c6c30d66-3106-44eb-9272-b2cf7ec74613)
  - **class History** | [Details](src/63782f74-7b03-4745-aa40-0adf8ed4e704) | [Code](src/63782f74-7b03-4745-aa40-0adf8ed4e704/code.php) | [Settings](src/63782f74-7b03-4745-aa40-0adf8ed4e704/settings.json) | [63782f74-7b03-4745-aa40-0adf8ed4e704](src/63782f74-7b03-4745-aa40-0adf8ed4e704)
  - **class Joomlamodule** | [Details](src/295186de-5954-4a65-a4c1-2f79ef305743) | [Code](src/295186de-5954-4a65-a4c1-2f79ef305743/code.php) | [Settings](src/295186de-5954-4a65-a4c1-2f79ef305743/settings.json) | [295186de-5954-4a65-a4c1-2f79ef305743](src/295186de-5954-4a65-a4c1-2f79ef305743)
  - **class Joomlaplugin** | [Details](src/9eba241c-af90-42dd-ae05-92ff4d8391d3) | [Code](src/9eba241c-af90-42dd-ae05-92ff4d8391d3/code.php) | [Settings](src/9eba241c-af90-42dd-ae05-92ff4d8391d3/settings.json) | [9eba241c-af90-42dd-ae05-92ff4d8391d3](src/9eba241c-af90-42dd-ae05-92ff4d8391d3)
  - **class Language** | [Details](src/9f00e793-86f8-4ef9-b775-a3eb129f83c0) | [Code](src/9f00e793-86f8-4ef9-b775-a3eb129f83c0/code.php) | [Settings](src/9f00e793-86f8-4ef9-b775-a3eb129f83c0/settings.json) | [9f00e793-86f8-4ef9-b775-a3eb129f83c0](src/9f00e793-86f8-4ef9-b775-a3eb129f83c0)
  - **class Library** | [Details](src/253317c7-3c3b-48a0-aec8-8af5e7a86504) | [Code](src/253317c7-3c3b-48a0-aec8-8af5e7a86504/code.php) | [Settings](src/253317c7-3c3b-48a0-aec8-8af5e7a86504/settings.json) | [253317c7-3c3b-48a0-aec8-8af5e7a86504](src/253317c7-3c3b-48a0-aec8-8af5e7a86504)
  - **class Mapper** | [Details](src/23f2ca33-440a-4941-8e9a-4bc67522c0cb) | [Code](src/23f2ca33-440a-4941-8e9a-4bc67522c0cb/code.php) | [Settings](src/23f2ca33-440a-4941-8e9a-4bc67522c0cb/settings.json) | [23f2ca33-440a-4941-8e9a-4bc67522c0cb](src/23f2ca33-440a-4941-8e9a-4bc67522c0cb)
  - **class Model** | [Details](src/0601fee8-d51e-4af0-9ad3-b5f8700c4a45) | [Code](src/0601fee8-d51e-4af0-9ad3-b5f8700c4a45/code.php) | [Settings](src/0601fee8-d51e-4af0-9ad3-b5f8700c4a45/settings.json) | [0601fee8-d51e-4af0-9ad3-b5f8700c4a45](src/0601fee8-d51e-4af0-9ad3-b5f8700c4a45)
  - **class Placeholder** | [Details](src/2f7b1998-bb93-4055-ae82-aa659ce8a37f) | [Code](src/2f7b1998-bb93-4055-ae82-aa659ce8a37f/code.php) | [Settings](src/2f7b1998-bb93-4055-ae82-aa659ce8a37f/settings.json) | [2f7b1998-bb93-4055-ae82-aa659ce8a37f](src/2f7b1998-bb93-4055-ae82-aa659ce8a37f)
  - **class Power** | [Details](src/de01527a-6586-46ea-92e7-11ea3de1cedb) | [Code](src/de01527a-6586-46ea-92e7-11ea3de1cedb/code.php) | [Settings](src/de01527a-6586-46ea-92e7-11ea3de1cedb/settings.json) | [de01527a-6586-46ea-92e7-11ea3de1cedb](src/de01527a-6586-46ea-92e7-11ea3de1cedb)
  - **class Templatelayout** | [Details](src/fff3255d-c493-4c21-a48f-73b3ebf8ba05) | [Code](src/fff3255d-c493-4c21-a48f-73b3ebf8ba05/code.php) | [Settings](src/fff3255d-c493-4c21-a48f-73b3ebf8ba05/settings.json) | [fff3255d-c493-4c21-a48f-73b3ebf8ba05](src/fff3255d-c493-4c21-a48f-73b3ebf8ba05)
  - **class Utilities** | [Details](src/516f93b8-5fff-41c6-aeaf-2d93180a12cc) | [Code](src/516f93b8-5fff-41c6-aeaf-2d93180a12cc/code.php) | [Settings](src/516f93b8-5fff-41c6-aeaf-2d93180a12cc/settings.json) | [516f93b8-5fff-41c6-aeaf-2d93180a12cc](src/516f93b8-5fff-41c6-aeaf-2d93180a12cc)
- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler\Templatelayout](#vdm-joomla-componentbuilder-compiler-templatelayout)

  - **class Data** | [Details](src/39ea8150-f124-4e47-909d-641bf1c96d5e) | [Code](src/39ea8150-f124-4e47-909d-641bf1c96d5e/code.php) | [Settings](src/39ea8150-f124-4e47-909d-641bf1c96d5e/settings.json) | [39ea8150-f124-4e47-909d-641bf1c96d5e](src/39ea8150-f124-4e47-909d-641bf1c96d5e)
- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler\Utilities](#vdm-joomla-componentbuilder-compiler-utilities)

  - **abstract class FieldHelper** | [Details](src/7a5fd3f3-199e-43ba-a8e8-f473d6c030ec) | [Code](src/7a5fd3f3-199e-43ba-a8e8-f473d6c030ec/code.php) | [Settings](src/7a5fd3f3-199e-43ba-a8e8-f473d6c030ec/settings.json) | [7a5fd3f3-199e-43ba-a8e8-f473d6c030ec](src/7a5fd3f3-199e-43ba-a8e8-f473d6c030ec)
  - **abstract class Indent** | [Details](src/a68c010b-e92e-47d5-8a44-d23cfddeb6c6) | [Code](src/a68c010b-e92e-47d5-8a44-d23cfddeb6c6/code.php) | [Settings](src/a68c010b-e92e-47d5-8a44-d23cfddeb6c6/settings.json) | [a68c010b-e92e-47d5-8a44-d23cfddeb6c6](src/a68c010b-e92e-47d5-8a44-d23cfddeb6c6)
  - **abstract class Line** | [Details](src/4e6ff11d-bebf-42f5-8fd7-b2f882857222) | [Code](src/4e6ff11d-bebf-42f5-8fd7-b2f882857222/code.php) | [Settings](src/4e6ff11d-bebf-42f5-8fd7-b2f882857222/settings.json) | [4e6ff11d-bebf-42f5-8fd7-b2f882857222](src/4e6ff11d-bebf-42f5-8fd7-b2f882857222)
  - **abstract class Minify** | [Details](src/b591855d-d106-4fe5-90ad-8e706f6267cf) | [Code](src/b591855d-d106-4fe5-90ad-8e706f6267cf/code.php) | [Settings](src/b591855d-d106-4fe5-90ad-8e706f6267cf/settings.json) | [b591855d-d106-4fe5-90ad-8e706f6267cf](src/b591855d-d106-4fe5-90ad-8e706f6267cf)
  - **abstract class Placefix** | [Details](src/500f3a7f-c16d-4dd4-81b2-2df6776b5388) | [Code](src/500f3a7f-c16d-4dd4-81b2-2df6776b5388/code.php) | [Settings](src/500f3a7f-c16d-4dd4-81b2-2df6776b5388/settings.json) | [500f3a7f-c16d-4dd4-81b2-2df6776b5388](src/500f3a7f-c16d-4dd4-81b2-2df6776b5388)
  - **abstract class Unique** | [Details](src/f02fb1df-f4b6-4be1-9595-2e72084a5e6e) | [Code](src/f02fb1df-f4b6-4be1-9595-2e72084a5e6e/code.php) | [Settings](src/f02fb1df-f4b6-4be1-9595-2e72084a5e6e/settings.json) | [f02fb1df-f4b6-4be1-9595-2e72084a5e6e](src/f02fb1df-f4b6-4be1-9595-2e72084a5e6e)
  - **class Counter** | [Details](src/e6d871a6-bbe7-497d-af01-68f6bb9a87f4) | [Code](src/e6d871a6-bbe7-497d-af01-68f6bb9a87f4/code.php) | [Settings](src/e6d871a6-bbe7-497d-af01-68f6bb9a87f4/settings.json) | [e6d871a6-bbe7-497d-af01-68f6bb9a87f4](src/e6d871a6-bbe7-497d-af01-68f6bb9a87f4)
  - **class Dynamicpath** | [Details](src/268b85ef-49f3-4c39-8187-bb12e38d19ee) | [Code](src/268b85ef-49f3-4c39-8187-bb12e38d19ee/code.php) | [Settings](src/268b85ef-49f3-4c39-8187-bb12e38d19ee/settings.json) | [268b85ef-49f3-4c39-8187-bb12e38d19ee](src/268b85ef-49f3-4c39-8187-bb12e38d19ee)
  - **class File** | [Details](src/5c75b455-3d4c-452a-867e-e90424a64c88) | [Code](src/5c75b455-3d4c-452a-867e-e90424a64c88/code.php) | [Settings](src/5c75b455-3d4c-452a-867e-e90424a64c88/settings.json) | [5c75b455-3d4c-452a-867e-e90424a64c88](src/5c75b455-3d4c-452a-867e-e90424a64c88)
  - **class Folder** | [Details](src/6bbb6ffe-3f09-4c21-aa9d-c93159afa1e1) | [Code](src/6bbb6ffe-3f09-4c21-aa9d-c93159afa1e1/code.php) | [Settings](src/6bbb6ffe-3f09-4c21-aa9d-c93159afa1e1/settings.json) | [6bbb6ffe-3f09-4c21-aa9d-c93159afa1e1](src/6bbb6ffe-3f09-4c21-aa9d-c93159afa1e1)
  - **class Pathfix** | [Details](src/cdc9b06d-8333-4fa7-ab4d-b810dd90f95f) | [Code](src/cdc9b06d-8333-4fa7-ab4d-b810dd90f95f/code.php) | [Settings](src/cdc9b06d-8333-4fa7-ab4d-b810dd90f95f/settings.json) | [cdc9b06d-8333-4fa7-ab4d-b810dd90f95f](src/cdc9b06d-8333-4fa7-ab4d-b810dd90f95f)
  - **class Paths** | [Details](src/6f20369a-8536-4870-a1a3-cda254c939c8) | [Code](src/6f20369a-8536-4870-a1a3-cda254c939c8/code.php) | [Settings](src/6f20369a-8536-4870-a1a3-cda254c939c8/settings.json) | [6f20369a-8536-4870-a1a3-cda254c939c8](src/6f20369a-8536-4870-a1a3-cda254c939c8)
  - **class Structure** | [Details](src/1efdded5-d6c8-452c-8f37-0374483a7b3f) | [Code](src/1efdded5-d6c8-452c-8f37-0374483a7b3f/code.php) | [Settings](src/1efdded5-d6c8-452c-8f37-0374483a7b3f/settings.json) | [1efdded5-d6c8-452c-8f37-0374483a7b3f](src/1efdded5-d6c8-452c-8f37-0374483a7b3f)
- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler\Builder\Update](#vdm-joomla-componentbuilder-compiler-builder-update)

  - **class Mysql** | [Details](src/2b5c9989-1d4e-4f59-8b95-5cd2f72f82d9) | [Code](src/2b5c9989-1d4e-4f59-8b95-5cd2f72f82d9/code.php) | [Settings](src/2b5c9989-1d4e-4f59-8b95-5cd2f72f82d9/settings.json) | [2b5c9989-1d4e-4f59-8b95-5cd2f72f82d9](src/2b5c9989-1d4e-4f59-8b95-5cd2f72f82d9)
- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler\Customcode\Extractor](#vdm-joomla-componentbuilder-compiler-customcode-extractor)

  - **class Paths** | [Details](src/053803e6-1251-4aed-aefe-46a8e84198d2) | [Code](src/053803e6-1251-4aed-aefe-46a8e84198d2/code.php) | [Settings](src/053803e6-1251-4aed-aefe-46a8e84198d2/settings.json) | [053803e6-1251-4aed-aefe-46a8e84198d2](src/053803e6-1251-4aed-aefe-46a8e84198d2)
- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler\Extension\JoomlaThree](#vdm-joomla-componentbuilder-compiler-extension-joomlathree)

  - **class InstallScript** | [Details](src/1d929017-a5de-4e0f-9b5a-838934857e26) | [Code](src/1d929017-a5de-4e0f-9b5a-838934857e26/code.php) | [Settings](src/1d929017-a5de-4e0f-9b5a-838934857e26/settings.json) | [1d929017-a5de-4e0f-9b5a-838934857e26](src/1d929017-a5de-4e0f-9b5a-838934857e26)
- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler\Field\JoomlaThree](#vdm-joomla-componentbuilder-compiler-field-joomlathree)

  - **class CoreValidation** | [Details](src/24da9672-e47f-4bb1-b6c0-0ebfc17f0957) | [Code](src/24da9672-e47f-4bb1-b6c0-0ebfc17f0957/code.php) | [Settings](src/24da9672-e47f-4bb1-b6c0-0ebfc17f0957/settings.json) | [24da9672-e47f-4bb1-b6c0-0ebfc17f0957](src/24da9672-e47f-4bb1-b6c0-0ebfc17f0957)
- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler\Interfaces\Component](#vdm-joomla-componentbuilder-compiler-interfaces-component)

  - **interface PlaceholderInterface** | [Details](src/97698747-c2ce-4e09-a470-acf6d8e86281) | [Code](src/97698747-c2ce-4e09-a470-acf6d8e86281/code.php) | [Settings](src/97698747-c2ce-4e09-a470-acf6d8e86281/settings.json) | [97698747-c2ce-4e09-a470-acf6d8e86281](src/97698747-c2ce-4e09-a470-acf6d8e86281)
- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler\Interfaces\Customcode](#vdm-joomla-componentbuilder-compiler-interfaces-customcode)

  - **interface DispenserInterface** | [Details](src/ef687e42-dc25-4423-9dd4-ec6e9743cfb0) | [Code](src/ef687e42-dc25-4423-9dd4-ec6e9743cfb0/code.php) | [Settings](src/ef687e42-dc25-4423-9dd4-ec6e9743cfb0/settings.json) | [ef687e42-dc25-4423-9dd4-ec6e9743cfb0](src/ef687e42-dc25-4423-9dd4-ec6e9743cfb0)
  - **interface ExternalInterface** | [Details](src/1fcb13a2-f3f0-4fa8-b8c6-ff9dc546777a) | [Code](src/1fcb13a2-f3f0-4fa8-b8c6-ff9dc546777a/code.php) | [Settings](src/1fcb13a2-f3f0-4fa8-b8c6-ff9dc546777a/settings.json) | [1fcb13a2-f3f0-4fa8-b8c6-ff9dc546777a](src/1fcb13a2-f3f0-4fa8-b8c6-ff9dc546777a)
  - **interface ExtractorInterface** | [Details](src/6da2afa5-6087-46dd-80a0-74c6434bcb18) | [Code](src/6da2afa5-6087-46dd-80a0-74c6434bcb18/code.php) | [Settings](src/6da2afa5-6087-46dd-80a0-74c6434bcb18/settings.json) | [6da2afa5-6087-46dd-80a0-74c6434bcb18](src/6da2afa5-6087-46dd-80a0-74c6434bcb18)
  - **interface GuiInterface** | [Details](src/2cc8517d-1105-4697-9743-048b4b7c089c) | [Code](src/2cc8517d-1105-4697-9743-048b4b7c089c/code.php) | [Settings](src/2cc8517d-1105-4697-9743-048b4b7c089c/settings.json) | [2cc8517d-1105-4697-9743-048b4b7c089c](src/2cc8517d-1105-4697-9743-048b4b7c089c)
  - **interface LockBaseInterface** | [Details](src/a3c515f5-4adf-4eb3-b637-0a1add550da6) | [Code](src/a3c515f5-4adf-4eb3-b637-0a1add550da6/code.php) | [Settings](src/a3c515f5-4adf-4eb3-b637-0a1add550da6/settings.json) | [a3c515f5-4adf-4eb3-b637-0a1add550da6](src/a3c515f5-4adf-4eb3-b637-0a1add550da6)
- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler\Interfaces\Extension](#vdm-joomla-componentbuilder-compiler-interfaces-extension)

  - **interface InstallInterface** | [Details](src/1aefb8f5-486f-4f00-adf9-696340b3254e) | [Code](src/1aefb8f5-486f-4f00-adf9-696340b3254e/code.php) | [Settings](src/1aefb8f5-486f-4f00-adf9-696340b3254e/settings.json) | [1aefb8f5-486f-4f00-adf9-696340b3254e](src/1aefb8f5-486f-4f00-adf9-696340b3254e)
- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler\Interfaces\Field](#vdm-joomla-componentbuilder-compiler-interfaces-field)

  - **interface CoreValidationInterface** | [Details](src/b9f05dc4-d23a-499a-a826-9749b81818ed) | [Code](src/b9f05dc4-d23a-499a-a826-9749b81818ed/code.php) | [Settings](src/b9f05dc4-d23a-499a-a826-9749b81818ed/settings.json) | [b9f05dc4-d23a-499a-a826-9749b81818ed](src/b9f05dc4-d23a-499a-a826-9749b81818ed)
- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler\Power\Repo](#vdm-joomla-componentbuilder-compiler-power-repo)

  - **class Readme** | [Details](src/efb1d0f8-2d14-4d2c-8b5f-4fcdd9df45a5) | [Code](src/efb1d0f8-2d14-4d2c-8b5f-4fcdd9df45a5/code.php) | [Settings](src/efb1d0f8-2d14-4d2c-8b5f-4fcdd9df45a5/settings.json) | [efb1d0f8-2d14-4d2c-8b5f-4fcdd9df45a5](src/efb1d0f8-2d14-4d2c-8b5f-4fcdd9df45a5)
- **Namespace**: [VDM\Joomla\Componentbuilder\Compiler\Power\Repos](#vdm-joomla-componentbuilder-compiler-power-repos)

  - **class Readme** | [Details](src/0d08c583-04d5-454e-b756-48ca05e1651a) | [Code](src/0d08c583-04d5-454e-b756-48ca05e1651a/code.php) | [Settings](src/0d08c583-04d5-454e-b756-48ca05e1651a/settings.json) | [0d08c583-04d5-454e-b756-48ca05e1651a](src/0d08c583-04d5-454e-b756-48ca05e1651a)

# Class Diagrams

## VDM Joomla Componentbuilder Compiler
> namespace VDM\Joomla\Componentbuilder\Compiler
```uml
@startuml

namespace VDM\Joomla\Componentbuilder\Compiler #Olive {


  abstract Factory  #Orange {
    # static $container
    # static $JoomlaVersion
    + {static} _() : mixed
    + {static} _J() : mixed
    + {static} getContainer() : Container
    # {static} createContainer() : Container
  }

  class Component  #Gold {
    + __construct()
    + __get()
  }

  class Config  #Gold {
    # JoomlaRegistry $config
    + __construct()
    # getAddcontributors() : bool
    # getAddajax() : bool
    # getAddsiteajax() : bool
    # getAddeximport() : bool
    # getAddcheckin() : bool
    # getComponentid() : int
    # getComponentversion() : string
    # getComponentcodename() : string
    # getComponentcontext() : string
    # getComponentcodenamelength() : int
    # getJoomlaversion() : int
    # getJoomlaversions() : array
    # getJoomlaversionname() : string
    # getSetjoomlafields() : bool
    # getShowadvancedoptions() : bool
    # getIndentationvalue() : string
    # getAddbuilddate() : int
    # getBuilddate() : string
    # getBackup() : int
    # getRepository() : int
    # getDebuglinenr() : int
    # getMinify() : int
    # getRemovelinebreaks() : bool
    # getTidy() : bool
    # getSettidywarning() : bool
    # getSettaghistory() : bool
    # getLangtag() : string
    # getLangprefix() : string
    # getLangtarget() : string
    # getLangstringtargets() : array
    # getLangstringkeytargets() : array
    # getFieldbuildertype() : int
    # getDefaultfields() : array
    # getTmppath() : string
    # getCompilerpath() : string
    # getJcbpowerspath() : string
    # getLocalpowersrepositorypath() : string
    # getBompath() : string
    # getCustomfolderpath() : string
    # getAddassetstablefix() : int
    # getAddassetstablenamefix() : bool
    # getAccessworsecase() : int
    # getMysqltablekeys() : array
    # getAddplaceholders() : bool
    # getAddpower() : bool
    # getAddsuperpowers() : bool
    # getBuildtarget() : string
    # getCryptiontypes() : array
    # getBasicencryption() : bool
    # getMediumencryption() : bool
    # getWhmcsencryption() : bool
    # getRemovesitefolder() : bool
    # getRemovesiteeditfolder() : bool
    # getUikit() : int
    # getGooglechart() : bool
    # getFootable() : bool
    # getFootableversion() : int
  }

  class Content  #Gold {
    # key() : string
    # firstKey() : string
    # secondKey() : string
  }

  class Customcode  #Gold {
    + array $functionNameMemory
    + $active
    + $memory
    # $data
    # Config $config
    # Placeholder $placeholder
    # Extractor $extractor
    # External $external
    # $db
    + __construct()
    + update() : string
    + set() : string
    + get() : bool
    # insert() : string
    # buildPlaceholders() : void
    # check() : Mixed
  }

  class Field  #Gold {
    # Data $data
    # Name $name
    # TypeName $typeName
    # UniqueName $uniqueName
    + __construct()
    + set() : void
  }

  class Language  #Gold {
    # array $content
    # Config $config
    + __construct()
    + key() : string
    + exist() : bool
    + get() : string
    + getTarget() : array
    + setTarget() : void
    + set() : void
    # fix() : string
  }

  class Placeholder  #Gold {
    + array $active
    # Config $config
    + __construct()
    + set() : void
    + get() : mixed
    + exist() : bool
    + add() : void
    + remove() : void
    + set_() : void
    + get_() : mixed
    + exist_() : bool
    + add_() : void
    + remove_() : void
    + set_h() : void
    + get_h() : mixed
    + exist_h() : bool
    + add_h() : void
    + remove_h() : void
    + setType() : void
    + clearType() : void
    + update() : string
    + update_() : string
    + keys() : array
  }

  class Power  #Gold {
    + array $active
    + array $namespace
    + array $composer
    + array $superpowers
    # string $fixUrl
    # array $state
    # Config $config
    # Placeholder $placeholder
    # Customcode $customcode
    # Gui $gui
    # \JDatabaseDriver $db
    # CMSApplication $app
    + __construct()
    + load() : void
    + get() : ?object
    - set() : bool
    - isPowerSet() : bool
    - isGuidValid() : bool
    - getPowerData() : ?object
    - setNamespace() : bool
    - setUseSelection() : void
    - setLoadSelection() : void
    - setComposer() : void
    - setImplements() : void
    - setExtend() : void
    - setUseAs() : void
    - getCleanNamespace() : string
    - getUseNamespace() : string
    - addToHeader() : void
    - setLicensingTemplate() : void
    - setHeader() : void
    - setMainClassCode() : void
    - setSuperPowers() : void
  }

  class Registry  #Gold {
    # $indent
    + varExport() : ?string
    # convertIndent() : string
  }
}


@enduml
```

## VDM Joomla Componentbuilder Interfaces
> namespace VDM\Joomla\Componentbuilder\Interfaces
```uml
@startuml

namespace VDM\Joomla\Componentbuilder\Interfaces #Olive {


  interface Cryptinterface  #Lavender {
    + encrypt() : string
    + decrypt() : string
  }

  interface FactoryInterface  #Lavender {
    + {static} _() : Mixed
    + {static} getContainer() : Container
  }

  interface InsertInterface  #Lavender {
    + rows() : bool
    + items() : bool
    + row() : bool
  }

  interface LoadInterface  #Lavender {
    + rows() : ?array
    + items() : ?array
    + row() : ?array
    + item() : ?object
    + value() : mixed
  }

  interface Mapperdoubleinterface  #Lavender {
    + isActive_() : bool
    + set_() : void
    + get_() : mixed
    + exist_() : bool
    + add_() : void
    + remove_() : void
  }

  interface Mappersingleinterface  #Lavender {
    + isActive() : bool
    + set() : void
    + get() : mixed
    + exist() : bool
    + add() : void
    + remove() : void
  }

  interface ModelInterface  #Lavender {
    + value() : mixed
    + item() : ?object
    + items() : ?array
    + last() : ?int
  }

  interface Serverinterface  #Lavender {
    + set() : self
    + move() : bool
  }

  interface Tableinterface  #Lavender {
    + get() : mixed
    + title() : ?array
    + titleName() : string
    + tables() : array
    + exist() : bool
    + fields() : ?array
  }
}


@enduml
```

## VDM Joomla Componentbuilder Compiler Adminview
> namespace VDM\Joomla\Componentbuilder\Compiler\Adminview
```uml
@startuml

namespace VDM\Joomla\Componentbuilder\Compiler\Adminview #LightGreen {


  class Data  #Gold {
    # array $data
    # Config $config
    # Registry $registry
    # EventInterface $event
    # Placeholder $placeholder
    # Dispenser $dispenser
    # Customtabs $customtabs
    # Tabs $tabs
    # Fields $fields
    # Historyadminview $history
    # Permissions $permissions
    # Conditions $conditions
    # Relations $relations
    # Linkedviews $linkedviews
    # Javascriptadminview $javascript
    # Cssadminview $css
    # Phpadminview $php
    # Custombuttons $custombuttons
    # Customimportscripts $customimportscripts
    # Ajaxadmin $ajax
    # Customalias $customalias
    # Sql $sql
    # Mysqlsettings $mysqlsettings
    # \JDatabaseDriver $db
    + __construct()
    + get() : ?object
  }
}


@enduml
```

## VDM Joomla Componentbuilder Compiler Alias
> namespace VDM\Joomla\Componentbuilder\Compiler\Alias
```uml
@startuml

namespace VDM\Joomla\Componentbuilder\Compiler\Alias #LightGreen {


  class Data  #Gold {
    # Config $config
    # Registry $registry
    # Customcode $customcode
    # Gui $gui
    # Loader $loader
    # Libraries $libraries
    # \JDatabaseDriver $db
    + __construct()
    + get() : ?array
    # set() : void
  }
}


@enduml
```

## VDM Joomla Componentbuilder Compiler Component
> namespace VDM\Joomla\Componentbuilder\Compiler\Component
```uml
@startuml

namespace VDM\Joomla\Componentbuilder\Compiler\Component #LightGreen {


  class Dashboard  #Gold {
    # Registry $registry
    # Component $component
    # CMSApplication $app
    + __construct()
    + set() : void
  }

  class Data  #Gold {
    # Config $config
    # EventInterface $event
    # Placeholder $placeholder
    # ComponentPlaceholder $componentPlaceholder
    # Dispenser $dispenser
    # Customcode $customcode
    # Gui $gui
    # Field $field
    # FieldName $fieldName
    # UniqueName $uniqueName
    # Filesfolders $filesFolders
    # Historycomponent $history
    # Whmcs $whmcs
    # Sqltweaking $sqltweaking
    # Adminviews $adminviews
    # Siteviews $siteviews
    # Customadminviews $customadminviews
    # Updateserver $updateserver
    # Joomlamodules $modules
    # Joomlaplugins $plugins
    # \JDatabaseDriver $db
    + __construct()
    + get() : ?object
  }

  class Placeholder  #Gold {
    # $placeholders
    # $config
    # $db
    + __construct()
    + get() : array
  }

  class Settings  #Gold {
    # array $standardFolders
    # array $standardRootFiles
    # ?object $data
    # Config $config
    # Registry $registry
    # EventInterface $event
    # Placeholder $placeholder
    # Component $component
    # Paths $paths
    # Dynamicpath $dynamicpath
    # Pathfix $pathfix
    + __construct()
    + exists() : bool
    + structure() : object
    + multiple() : object
    + single() : object
    + standardFolder() : bool
    + standardRootFile() : bool
    - isSet() : bool
    - get() : ?object
    - readJsonFile() : ?object
    - isValidData() : bool
    - loadExtraFolders() : void
    - addImportViewFolder() : void
    - addPhpSpreadsheetFolder() : void
    - addUikitFolder() : void
    - addFooTableFolder() : void
    - loadExtraFiles() : void
    - addGoogleChartFiles() : void
    - addFolders() : void
    - addFiles() : void
  }

  class Structure  #Gold {
    # Settings $settings
    # Paths $paths
    # Folder $folder
    + __construct()
    + build() : bool
    # folders() : void
  }

  class Structuremultiple  #Gold {
    # Config $config
    # Registry $registry
    # Settings $settings
    # Component $component
    # Createdate $createdate
    # Modifieddate $modifieddate
    # Structure $structure
    + __construct()
    + build() : bool
    # admin() : bool
    # site() : bool
    # custom() : bool
    - isValidAdminView() : bool
    - isValidView() : bool
    - buildAdminView() : void
    - buildView() : void
  }

  class Structuresingle  #Gold {
    # string $newName
    # string $currentFullPath
    # string $packageFullPath
    # string $zipFullPath
    # Config $config
    # Registry $registry
    # Settings $settings
    # Component $component
    # Content $content
    # Counter $counter
    # Paths $paths
    # Files $files
    # CMSApplication $app
    + __construct()
    + build() : bool
    - doLicenseCheck() : bool
    - doReadmeCheck() : bool
    - doChangelogCheck() : bool
    - setNewName() : void
    - setPaths() : void
    - pathExist() : bool
    - setTarget() : void
    - moveFile() : void
    - registerFile() : void
    - setDynamicTarget() : void
    - setDynamicFolders() : void
  }
}


@enduml
```

## VDM Joomla Componentbuilder Compiler Customcode
> namespace VDM\Joomla\Componentbuilder\Compiler\Customcode
```uml
@startuml

namespace VDM\Joomla\Componentbuilder\Compiler\Customcode #LightGreen {


  class Dispenser  #Gold {
    + array $hub
    # Placeholder $placeholder
    # Customcode $customcode
    # Gui $gui
    # Hash $hash
    # LockBase $base64
    + __construct()
    + set() : bool
    + get() : mixed
  }

  class External  #Gold {
    # array $code
    # array $cutter
    # Placeholder $placeholder
    # \JDatabaseDriver $db
    # User $user
    # CMSApplication $app
    + __construct()
    + set() : string
    # getCode() : void
    # cut() : string
  }

  class Extractor  #Gold {
    # array $existing
    # array $new
    # array $done
    # array $counter
    # array $fileTypes
    # array $placeholders
    # string $today
    # Config $config
    # Gui $gui
    # Paths $paths
    # Reverse $reverse
    # Placeholder $componentPlaceholder
    # Pathfix $pathfix
    # User $user
    # \JDatabaseDriver $db
    # CMSApplication $app
    + __construct()
    + run() : void
    # searchFileContent() : array
    # insert() : void
    # update() : void
    # setStartReplace() : string
    # addLineChecker() : bool|int
    # getSystemID() : mixed
  }

  class Gui  #Gold {
    # Config $config
    # Reverse $reverse
    # \JDatabaseDriver $db
    # CMSApplication $app
    + __construct()
    + set() : string
    + search() : void
    # check() : bool
  }

  class Hash  #Gold {
    # Placeholder $placeholder
    + __construct()
    + set() : string
  }

  class LockBase  #Gold {
    # Placeholder $placeholder
    + __construct()
    + set() : string
  }
}


@enduml
```

## VDM Joomla Componentbuilder Compiler Customview
> namespace VDM\Joomla\Componentbuilder\Compiler\Customview
```uml
@startuml

namespace VDM\Joomla\Componentbuilder\Compiler\Customview #LightGreen {


  class Data  #Gold {
    # array $data
    # Config $config
    # EventInterface $event
    # Customcode $customcode
    # Gui $gui
    # Libraries $libraries
    # Templatelayout $templateLayout
    # Dynamicget $dynamic
    # Loader $loader
    # Javascriptcustomview $javascript
    # Csscustomview $css
    # Phpcustomview $php
    # Custombuttons $custombuttons
    # Ajaxcustomview $ajax
    # \JDatabaseDriver $db
    + __construct()
    + get() : ?object
  }
}


@enduml
```

## VDM Joomla Componentbuilder Compiler Dynamicget
> namespace VDM\Joomla\Componentbuilder\Compiler\Dynamicget
```uml
@startuml

namespace VDM\Joomla\Componentbuilder\Compiler\Dynamicget #LightGreen {


  class Data  #Gold {
    # array $guiMapper
    # Config $config
    # Registry $registry
    # EventInterface $event
    # Customcode $customcode
    # Dispenser $dispenser
    # Gui $gui
    # Dynamicget $dynamic
    # \JDatabaseDriver $db
    + __construct()
    + get() : ?array
  }

  class Selection  #Gold {
    # array $name
    # Config $config
    # Registry $registry
    # \JDatabaseDriver $db
    + __construct()
    + get() : ?array
    # name() : string
  }
}


@enduml
```

## VDM Joomla Componentbuilder Compiler Field
> namespace VDM\Joomla\Componentbuilder\Compiler\Field
```uml
@startuml

namespace VDM\Joomla\Componentbuilder\Compiler\Field #LightGreen {


  class Customcode  #Gold {
    # array $views
    # Dispenser $dispenser
    + __construct()
    + update() : void
  }

  class Data  #Gold {
    # array $fields
    # Config $config
    # EventInterface $event
    # HistoryInterface $history
    # Placeholder $placeholder
    # Customcode $customcode
    # FieldCustomcode $fieldCustomcode
    # Validation $validation
    # \JDatabaseDriver $db
    + __construct()
    + get() : ?object
  }

  class DatabaseName  #Gold {
    # Registry $registry
    + __construct()
    + get() : ?string
  }

  class Name  #Gold {
    # Registry $registry
    # array $unique
    # Placeholder $placeholder
    # UniqueName $uniqueName
    + __construct()
    + get() : string
  }

  class TypeName  #Gold {
    + get() : string
  }

  class UniqueName  #Gold {
    # Registry $registry
    + __construct()
    + set() : void
    + get() : string
  }

  class Validation  #Gold {
    # Registry $registry
    # Gui $gui
    # Placeholder $placeholder
    # Customcode $customcode
    # CoreValidationInterface $validation
    + __construct()
    + set() : void
  }
}


@enduml
```

## VDM Joomla Componentbuilder Compiler Interfaces
> namespace VDM\Joomla\Componentbuilder\Compiler\Interfaces
```uml
@startuml

namespace VDM\Joomla\Componentbuilder\Compiler\Interfaces #LightGreen {


  interface CustomcodeInterface  #Lavender {
    + update() : string
    + set() : string
    + get() : bool
  }

  interface EventInterface  #Lavender {
    + trigger() : void
  }

  interface GetScriptInterface  #Lavender {
    + get() : string
  }

  interface HistoryInterface  #Lavender {
    + get() : ?object
  }

  interface LanguageInterface  #Lavender {
    + key() : string
    + exist() : bool
    + get() : string
    + getTarget() : array
    + setTarget() : void
    + set() : void
  }

  interface PlaceholderInterface  #Lavender {
    + set() : void
    + get() : mixed
    + exist() : bool
    + add() : void
    + remove() : void
    + set_() : void
    + get_() : mixed
    + exist_() : bool
    + add_() : void
    + remove_() : void
    + set_h() : void
    + get_h() : mixed
    + exist_h() : bool
    + add_h() : void
    + remove_h() : void
    + setType() : void
    + clearType() : void
    + update() : string
    + update_() : string
    + keys() : array
  }

  interface PowerInterface  #Lavender {
    + load() : void
    + get() : mixed
  }
}


@enduml
```

## VDM Joomla Componentbuilder Compiler JoomlaThree
> namespace VDM\Joomla\Componentbuilder\Compiler\JoomlaThree
```uml
@startuml

namespace VDM\Joomla\Componentbuilder\Compiler\JoomlaThree #LightGreen {


  class Event  #Gold {
    # $activePlugins
    + __construct()
    + trigger() : void
  }

  class History  #Gold {
    # ?object $tmp
    # Config $config
    # \JDatabaseDriver $db
    + __construct()
    + get() : ?object
    # set() : bool
  }
}


@enduml
```

## VDM Joomla Componentbuilder Compiler Joomlamodule
> namespace VDM\Joomla\Componentbuilder\Compiler\Joomlamodule
```uml
@startuml

namespace VDM\Joomla\Componentbuilder\Compiler\Joomlamodule #LightGreen {


  class Data  #Gold {
    # array $data
    # Config $config
    # Customcode $customcode
    # Gui $gui
    # Placeholder $placeholder
    # Language $language
    # Field $field
    # FieldName $fieldName
    # Filesfolders $filesFolders
    # Libraries $libraries
    # Dynamicget $dynamic
    # \JDatabaseDriver $db
    + __construct()
    + get() : object|array|null
    + exists() : bool
    + set() : bool
  }

  class Structure  #Gold {
    # Module $module
    # Component $component
    # Config $config
    # Registry $registry
    # Dispenser $dispenser
    # EventInterface $event
    # Counter $counter
    # Folder $folder
    # File $file
    # Files $files
    + __construct()
    + build() : void
    # getXML() : string
    # getCustomScriptField() : string
  }
}


@enduml
```

## VDM Joomla Componentbuilder Compiler Joomlaplugin
> namespace VDM\Joomla\Componentbuilder\Compiler\Joomlaplugin
```uml
@startuml

namespace VDM\Joomla\Componentbuilder\Compiler\Joomlaplugin #LightGreen {


  class Data  #Gold {
    # array $data
    # Config $config
    # Customcode $customcode
    # Gui $gui
    # Placeholder $placeholder
    # Language $language
    # Field $field
    # FieldName $fieldName
    # Filesfolders $filesFolders
    # \JDatabaseDriver $db
    + __construct()
    + get() : object|array|null
    + exists() : bool
    + set() : bool
  }

  class Structure  #Gold {
    # Plugin $plugin
    # Component $component
    # Config $config
    # Registry $registry
    # Dispenser $dispenser
    # EventInterface $event
    # Counter $counter
    # Folder $folder
    # File $file
    # Files $files
    + __construct()
    + build() : void
    # getXML() : string
  }
}


@enduml
```

## VDM Joomla Componentbuilder Compiler Language
> namespace VDM\Joomla\Componentbuilder\Compiler\Language
```uml
@startuml

namespace VDM\Joomla\Componentbuilder\Compiler\Language #LightGreen {


  class Extractor  #Gold {
    + array $langKeys
    + array $langMismatch
    + array $langMatch
    # Config $config
    # Placeholder $placeholder
    # Language $language
    + __construct()
    + engine() : string
  }
}


@enduml
```

## VDM Joomla Componentbuilder Compiler Library
> namespace VDM\Joomla\Componentbuilder\Compiler\Library
```uml
@startuml

namespace VDM\Joomla\Componentbuilder\Compiler\Library #LightGreen {


  class Data  #Gold {
    # Config $config
    # Registry $registry
    # Customcode $customcode
    # Gui $gui
    # FieldData $field
    # Filesfolders $filesFolders
    # \JDatabaseDriver $db
    + __construct()
    + get() : object|bool
  }

  class Structure  #Gold {
    # Config $config
    # Registry $registry
    # EventInterface $event
    # Component $component
    # Content $content
    # Counter $counter
    # Paths $paths
    # Folder $folder
    # File $file
    + __construct()
    + build() : void
  }
}


@enduml
```

## VDM Joomla Componentbuilder Compiler Model
> namespace VDM\Joomla\Componentbuilder\Compiler\Model
```uml
@startuml

namespace VDM\Joomla\Componentbuilder\Compiler\Model #LightGreen {


  class Adminviews  #Gold {
    # Adminview $admin
    # Registry $registry
    # Config $config
    + __construct()
    + set() : void
  }

  class Ajaxadmin  #Gold {
    # array $guiMapper
    # Config $config
    # Registry $registry
    # Dispenser $dispenser
    + __construct()
    + set() : void
  }

  class Ajaxcustomview  #Gold {
    # array $guiMapper
    # Config $config
    # Dispenser $dispenser
    + __construct()
    + set() : void
  }

  class Conditions  #Gold {
    # TypeName $typeName
    # FieldName $fieldName
    + __construct()
    + set() : void
  }

  class Createdate  #Gold {
    + get() : string
  }

  class Cssadminview  #Gold {
    # array $areas
    # Dispenser $dispenser
    + __construct()
    + set() : void
  }

  class Csscustomview  #Gold {
    # array $areas
    # Customcode $customcode
    + __construct()
    + set() : void
  }

  class Customadminviews  #Gold {
    # Customview $customadmin
    # Config $config
    + __construct()
    + set() : void
  }

  class Customalias  #Gold {
    # Registry $registry
    # FieldName $fieldName
    + __construct()
    + set() : void
  }

  class Custombuttons  #Gold {
    # array $areas
    # array $guiMapper
    # Customcode $customcode
    # Gui $gui
    # Templatelayout $templateLayout
    + __construct()
    + set() : void
  }

  class Customimportscripts  #Gold {
    # array $areas
    # array $guiMapper
    # Dispenser $dispenser
    + __construct()
    + set() : void
  }

  class Customtabs  #Gold {
    # Config $config
    # Registry $registry
    # Language $language
    # Placeholder $placeholder
    # Customcode $customcode
    + __construct()
    + set() : void
  }

  class Dynamicget  #Gold {
    # array $jointer
    # array $operator
    # array $guiMapper
    # Config $config
    # Registry $registry
    # Customcode $customcode
    # Gui $gui
    # Placeholder $placeholder
    # Selection $selection
    + __construct()
    + set() : void
  }

  class Fields  #Gold {
    # Config $config
    # Registry $registry
    # HistoryInterface $history
    # Customcode $customcode
    # Field $field
    # FieldName $fieldName
    # UpdateSql $updateSql
    # CMSApplication $app
    + __construct()
    + set() : void
  }

  class Filesfolders  #Gold {
    # array $keys
    + set() : void
  }

  class Historyadminview  #Gold {
    # Config $config
    # HistoryInterface $history
    # Updatesql $updatesql
    + __construct()
    + set() : void
  }

  class Historycomponent  #Gold {
    # Config $config
    # HistoryInterface $history
    # Updatesql $updatesql
    + __construct()
    + set() : void
    - setAdminView() : void
    - setComponent() : void
  }

  class Javascriptadminview  #Gold {
    # array $scripter
    # array $guiMapper
    # Dispenser $dispenser
    + __construct()
    + set() : void
  }

  class Javascriptcustomview  #Gold {
    # array $areas
    # array $guiMapper
    # Customcode $customcode
    # Gui $gui
    + __construct()
    + set() : void
  }

  class Joomlamodules  #Gold {
    # Module $module
    + __construct()
    + set() : void
  }

  class Joomlaplugins  #Gold {
    # Plugin $plugin
    + __construct()
    + set() : void
  }

  class Libraries  #Gold {
    # Config $config
    # Registry $registry
    # Library $library
    + __construct()
    + set() : void
  }

  class Linkedviews  #Gold {
    # Registry $registry
    + __construct()
    + set() : void
  }

  class Loader  #Gold {
    # Config $config
    # Registry $registry
    + __construct()
    + set() : void
    + uikit() : void
    # getFootableScripts() : bool
    # getGetModule() : bool
    # getGoogleChart() : bool
  }

  class Modifieddate  #Gold {
    # array $last
    + get() : string
    # getDate() : int
    # getModified() : int
    # getKey() : string
  }

  class Mysqlsettings  #Gold {
    # Config $config
    # Registry $registry
    + __construct()
    + set() : void
  }

  class Permissions  #Gold {
    + set() : void
  }

  class Phpadminview  #Gold {
    # array $areas
    # array $guiMapper
    # Dispenser $dispenser
    # Templatelayout $templateLayout
    + __construct()
    + set() : void
  }

  class Phpcustomview  #Gold {
    # array $areas
    # array $guiMapper
    # Customcode $customcode
    # Gui $gui
    # Loader $loader
    # Templatelayout $templateLayout
    + __construct()
    + set() : void
  }

  class Relations  #Gold {
    # Config $config
    # Registry $registry
    # Language $language
    # Customcode $customcode
    + __construct()
    + set() : void
  }

  class Siteviews  #Gold {
    # Customview $site
    # Config $config
    + __construct()
    + set() : void
  }

  class Sql  #Gold {
    # Dispenser $dispenser
    # Sqldump $dump
    + __construct()
    + set() : void
  }

  class Sqldump  #Gold {
    # Registry $registry
    # \JDatabaseDriver $db
    + __construct()
    + get() : ?string
    # escape() : string|array
  }

  class Sqltweaking  #Gold {
    # Registry $registry
    + __construct()
    + set() : void
    # tweak() : void
  }

  class Tabs  #Gold {
    + set() : void
  }

  class Updateserver  #Gold {
    + set() : void
    # changelog() : void
  }

  class Updatesql  #Gold {
    # array $name
    # Registry $registry
    + __construct()
    + set() : void
    # add() : void
    # name() : string
  }

  class Whmcs  #Gold {
    + set() : void
  }
}


@enduml
```

## VDM Joomla Componentbuilder Compiler Placeholder
> namespace VDM\Joomla\Componentbuilder\Compiler\Placeholder
```uml
@startuml

namespace VDM\Joomla\Componentbuilder\Compiler\Placeholder #LightGreen {


  class Reverse  #Gold {
    # Config $config
    # Placeholder $placeholder
    # Language $language
    # Extractor $extractor
    + __construct()
    + engine() : string
    # setReverse() : string
  }
}


@enduml
```

## VDM Joomla Componentbuilder Compiler Power
> namespace VDM\Joomla\Componentbuilder\Compiler\Power
```uml
@startuml

namespace VDM\Joomla\Componentbuilder\Compiler\Power #LightGreen {


  class Parser << (F,LightGreen) >> #Green {
    + code() : array
    - properties() : ?array
    - methods() : ?array
    - extractDocBlock() : ?string
    - extractFunctionArgumentDetails() : ?array
    - extractReturnType() : ?string
    - extractArgTypesFromComment() : ?array
    - extractArgTypesArguments() : ?array
    - extractReturnTypeFromComment() : ?string
    - extractSinceVersion() : ?string
    - extractDeprecatedVersion() : ?string
    - removeWhiteSpaceFromComment() : string
    - mergeArgumentTypes() : array
  }

  class Autoloader  #Gold {
    # Power $power
    # Config $config
    # Content $content
    # string $helper
    + __construct()
    + set() : void
    - loadPluginAutoloader() : bool
    - loadHelperAutoloader() : bool
    - loadSiteAutoloader() : bool
    - getPluginAutoloader() : string
    - getHelperAutoloader() : string
    - getBLockSiteLoading() : ?string
    - getAutoloader() : ?string
    - getComposer() : ?string
  }

  class Infusion  #Gold {
    # Config $config
    # Power $power
    # Content $content
    # Autoloader $autoloader
    # Parser $parser
    # RepoReadme $reporeadme
    # ReposReadme $reposreadme
    # Placeholder $placeholder
    # Event $event
    # array $linker
    + __construct()
    + set() : void
    - parsePowers() : void
    - setSuperPowers() : void
    - setPowers() : void
    - index() : string
    - code() : string
    - linker() : string
  }

  class Plantuml  #Gold {
    + namespaceDiagram() : string
    + classBasicDiagram() : string
    + classDetailedDiagram() : string
    - generatePropertiesPlantUML() : string
    - generateDetailedMethodsPlantUML() : array
    - generateBasicMethodsPlantUML() : string
    - generateMethodArgumentsAndNotes() : array
    - generateMethodNotes() : array
    - generateNotesPlantUML() : string
    - getAccessSign() : string
    - getClassTypeLable() : string
    - getClassTypeTag() : string
    - getClassColor() : string
    - getNamespaceColor() : string
  }

  class Structure  #Gold {
    # array $htaccess
    # Power $power
    # Config $config
    # Registry $registry
    # EventInterface $event
    # Counter $counter
    # Paths $paths
    # Folder $folder
    # File $file
    # Files $files
    # CMSApplication $app
    + __construct()
    + build() : void
    - createFile() : void
    - setHtaccess() : void
    - setDynamicFolders() : void
    - setSuperPowerDetails() : void
    - setSuperPowerFiles() : void
  }
}


@enduml
```

## VDM Joomla Componentbuilder Compiler Service
> namespace VDM\Joomla\Componentbuilder\Compiler\Service
```uml
@startuml

namespace VDM\Joomla\Componentbuilder\Compiler\Service #LightGreen {


  class Adminview  #Gold {
    + register() : void
    + getAdminviewData() : AdminviewData
  }

  class Builder  #Gold {
    + register() : void
    + getMysql() : Mysql
  }

  class Compiler  #Gold {
    + register() : void
    + getConfig() : Config
    + getRegistry() : Registry
    + getTable() : Table
  }

  class Component  #Gold {
    + register() : void
    + getComponent() : CompilerComponent
    + getSettings() : Settings
    + getDashboard() : Dashboard
    + getPlaceholder() : Placeholder
    + getData() : Data
    + getStructure() : Structure
    + getStructuresingle() : Structuresingle
    + getStructuremultiple() : Structuremultiple
  }

  class Customcode  #Gold {
    + register() : void
    + getCustomcode() : CustomcodeInterface
    + getExternal() : External
    + getGui() : Gui
    + getHash() : Hash
    + getLockBase() : LockBase
    + getDispenser() : Dispenser
    + getPaths() : Paths
    + getExtractor() : Extractor
  }

  class Customview  #Gold {
    + register() : void
    + getCustomviewData() : CustomviewData
    + getDynamicgetData() : DynamicgetData
    + getDynamicgetSelection() : DynamicgetSelection
  }

  class Database  #Gold {
    + register() : void
    + getLoad() : Load
    + getInsert() : Insert
  }

  class Event  #Gold {
    # $currentVersion
    + register() : void
    + getEvent() : EventInterface
    + getJ3Event() : J3Event
  }

  class Extension  #Gold {
    # $targetVersion
    + register() : void
    + getJ3ExtensionInstallScript() : J3InstallScript
    + getExtensionInstallScript() : GetScriptInterface
  }

  class Field  #Gold {
    # $targetVersion
    + register() : void
    + getField() : CompilerField
    + getData() : Data
    + getValidation() : Validation
    + getJ3CoreValidation() : J3CoreValidation
    + getCoreValidation() : CoreValidationInterface
    + getCustomcode() : Customcode
    + getFieldName() : Name
    + getFieldTypeName() : TypeName
    + getFieldUniqueName() : UniqueName
    + getFieldDatabaseName() : DatabaseName
  }

  class History  #Gold {
    # $currentVersion
    + register() : void
    + getHistory() : HistoryInterface
    + getJ3History() : J3History
  }

  class Joomlamodule  #Gold {
    + register() : void
    + getData() : Data
    + getStructure() : Structure
  }

  class Joomlaplugin  #Gold {
    + register() : void
    + getData() : Data
    + getStructure() : Structure
  }

  class Language  #Gold {
    + register() : void
    + getLanguage() : CompilerLanguage
    + getLanguageExtractor() : Extractor
  }

  class Library  #Gold {
    + register() : void
    + getData() : Data
    + getStructure() : Structure
  }

  class Mapper  #Gold {
    + register() : void
    + getContent() : Content
  }

  class Model  #Gold {
    + register() : void
    + getModelJoomlaplugins() : Joomlaplugins
    + getModelJoomlamodules() : Joomlamodules
    + getModelHistorycomponent() : Historycomponent
    + getModelCustomadminviews() : Customadminviews
    + getModelAjaxcustomview() : Ajaxcustomview
    + getModelJavascriptcustomview() : Javascriptcustomview
    + getModelCsscustomview() : Csscustomview
    + getModelPhpcustomview() : Phpcustomview
    + getModelDynamicget() : Dynamicget
    + getModelLibraries() : Libraries
    + getModelSiteviews() : Siteviews
    + getModelPermissions() : Permissions
    + getModelHistoryadminview() : Historyadminview
    + getModelMysqlsettings() : Mysqlsettings
    + getModelSql() : Sql
    + getModelCustomalias() : Customalias
    + getModelAjaxadmin() : Ajaxadmin
    + getModelCustomimportscripts() : Customimportscripts
    + getModelCustombuttons() : Custombuttons
    + getModelLoader() : Loader
    + getModelPhpadminview() : Phpadminview
    + getModelCssadminview() : Cssadminview
    + getModelJavascriptadminview() : Javascriptadminview
    + getModelLinkedviews() : Linkedviews
    + getModelRelations() : Relations
    + getModelConditions() : Conditions
    + getModelFields() : Fields
    + getModelUpdatesql() : Updatesql
    + getModelTabs() : Tabs
    + getModelCustomtabs() : Customtabs
    + getModelAdminviews() : Adminviews
    + getModelSqltweaking() : Sqltweaking
    + getModelSqldump() : Sqldump
    + getModelWhmcs() : Whmcs
    + getModifieddate() : Modifieddate
    + getCreatedate() : Createdate
    + getUpdateserver() : Updateserver
    + getModelFilesfolders() : Filesfolders
    + getServerLoad() : ServerLoad
  }

  class Placeholder  #Gold {
    + register() : void
    + getPlaceholder() : CompilerPlaceholder
    + getPlaceholderReverse() : Reverse
  }

  class Power  #Gold {
    + register() : void
    + getPowers() : Powers
    + getAutoloader() : Autoloader
    + getInfusion() : Infusion
    + getStructure() : Structure
    + getParser() : Parser
    + getPlantuml() : Plantuml
    + getRepoReadme() : RepoReadme
    + getReposReadme() : ReposReadme
  }

  class Templatelayout  #Gold {
    + register() : void
    + getTemplatelayoutData() : TemplatelayoutData
    + getAliasData() : AliasData
  }

  class Utilities  #Gold {
    + register() : void
    + getFolder() : Folder
    + getFile() : File
    + getCounter() : Counter
    + getPaths() : Paths
    + getFiles() : Files
    + getConstantpaths() : Constantpaths
    + getDynamicpath() : Dynamicpath
    + getPathfix() : Pathfix
    + getStructure() : Structure
  }
}


@enduml
```

## VDM Joomla Componentbuilder Compiler Templatelayout
> namespace VDM\Joomla\Componentbuilder\Compiler\Templatelayout
```uml
@startuml

namespace VDM\Joomla\Componentbuilder\Compiler\Templatelayout #LightGreen {


  class Data  #Gold {
    # Config $config
    # Registry $registry
    # Aliasdata $alias
    + __construct()
    + set() : bool
  }
}


@enduml
```

## VDM Joomla Componentbuilder Compiler Utilities
> namespace VDM\Joomla\Componentbuilder\Compiler\Utilities
```uml
@startuml

namespace VDM\Joomla\Componentbuilder\Compiler\Utilities #LightGreen {


  abstract FieldHelper  #Orange {
    + {static} check() : bool
  }

  abstract Indent  #Orange {
    + {static} _() : string
    - {static} indent() : string
    - {static} init() : void
  }

  abstract Line  #Orange {
    - static $add
    + {static} _() : string
    - {static} add() : bool
    - {static} init() : void
  }

  abstract Minify  #Orange {
    + {static} js() : string
    + {static} css() : string
  }

  abstract Placefix  #Orange {
    + {static} _() : string
    + {static} b() : string
    + {static} d() : string
    + {static} _h() : string
    + {static} h() : string
  }

  abstract Unique  #Orange {
    + {static} get() : string
    + {static} code() : string
  }

  class Counter  #Gold {
    + int $folder
    + int $file
    + int $page
    + int $line
    + int $field
    # int $seconds
    # float $actualSeconds
    # int $folderSeconds
    # int $fileSeconds
    # int $lineSeconds
    # float $secondsDebugging
    # float $secondsPlanning
    # float $secondsMapping
    # float $secondsOffice
    # int $totalHours
    # int $debuggingHours
    # int $planningHours
    # int $mappingHours
    # int $officeHours
    # int $actualTotalHours
    # int $actualHoursSpent
    # int $actualDaysSpent
    # int $totalDays
    # int $actualTotalDays
    # float $projectWeekTime
    # float $projectMonthTime
    # float $start
    # float $end
    # float $timer
    # Content $content
    + __construct()
    + start() : void
    + end() : void
    + set() : void
    # calculate() : void
  }

  class Dynamicpath  #Gold {
    # Placeholder $placeholder
    # array $paths
    + __construct()
    + update() : string
  }

  class File  #Gold {
    # Counter $counter
    # Paths $paths
    + __construct()
    + html() : void
    + write() : bool
  }

  class Folder  #Gold {
    # Counter $counter
    # File $file
    + __construct()
    + create() : void
    + remove() : bool
  }

  class Pathfix  #Gold {
    + set() : void
  }

  class Paths  #Gold {
    # Config $config
    # Component $component
    + __construct()
    + __get() : string
    # key() : string
    - setTemplatePath() : void
    - setComponentSalesName() : void
    - setComponentBackupName() : void
    - setComponentFolderName() : void
    - setComponentPath() : void
    - setTemplatePathCustom() : void
  }

  class Structure  #Gold {
    # Settings $settings
    # Paths $paths
    # Counter $counter
    # File $file
    # Files $files
    # CMSApplication $app
    + __construct()
    + build() : bool
    - getFileDetails() : ?array
    - getPath() : ?string
    - getNewName() : string
  }
}


@enduml
```

## VDM Joomla Componentbuilder Compiler Builder Update
> namespace VDM\Joomla\Componentbuilder\Compiler\Builder\Update
```uml
@startuml

namespace VDM\Joomla\Componentbuilder\Compiler\Builder\Update #DeepSkyBlue {


  class Mysql  #Gold {
    # key() : string
  }
}


@enduml
```

## VDM Joomla Componentbuilder Compiler Customcode Extractor
> namespace VDM\Joomla\Componentbuilder\Compiler\Customcode\Extractor
```uml
@startuml

namespace VDM\Joomla\Componentbuilder\Compiler\Customcode\Extractor #DeepSkyBlue {


  class Paths  #Gold {
    + array $active
    # array $componentPlaceholder
    # Config $config
    # Placeholder $placeholder
    # Customcode $customcode
    # Extractor $extractor
    # \JDatabaseDriver $db
    + __construct()
    # load() : void
    # getModuleIDs() : mixed
    # getModulePath() : mixed
    # getPluginIDs() : mixed
    # getPluginPath() : mixed
  }
}


@enduml
```

## VDM Joomla Componentbuilder Compiler Extension JoomlaThree
> namespace VDM\Joomla\Componentbuilder\Compiler\Extension\JoomlaThree
```uml
@startuml

namespace VDM\Joomla\Componentbuilder\Compiler\Extension\JoomlaThree #DeepSkyBlue {


  class InstallScript  #Gold {
    # object $extension
    # array $methods
    # array $types
    # array $construct
    # array $install
    # array $update
    # array $uninstall
    # bool $preflightActive
    # bool $postflightActive
    + get() : string
    # build() : string
    # head() : string
    # construct() : string
    # main() : string
    # flight() : string
  }
}


@enduml
```

## VDM Joomla Componentbuilder Compiler Field JoomlaThree
> namespace VDM\Joomla\Componentbuilder\Compiler\Field\JoomlaThree
```uml
@startuml

namespace VDM\Joomla\Componentbuilder\Compiler\Field\JoomlaThree #DeepSkyBlue {


  class CoreValidation  #Gold {
    # ?array $rules
    # string $path
    + __construct()
    + get() : array
  }
}


@enduml
```

## VDM Joomla Componentbuilder Compiler Interfaces Component
> namespace VDM\Joomla\Componentbuilder\Compiler\Interfaces\Component
```uml
@startuml

namespace VDM\Joomla\Componentbuilder\Compiler\Interfaces\Component #DeepSkyBlue {


  interface PlaceholderInterface  #Lavender {
    + get() : array
  }
}


@enduml
```

## VDM Joomla Componentbuilder Compiler Interfaces Customcode
> namespace VDM\Joomla\Componentbuilder\Compiler\Interfaces\Customcode
```uml
@startuml

namespace VDM\Joomla\Componentbuilder\Compiler\Interfaces\Customcode #DeepSkyBlue {


  interface DispenserInterface  #Lavender {
    + set() : bool
    + get() : mixed
  }

  interface ExternalInterface  #Lavender {
    + set() : string
  }

  interface ExtractorInterface  #Lavender {
    + run() : void
  }

  interface GuiInterface  #Lavender {
    + set() : string
    + search() : void
  }

  interface LockBaseInterface  #Lavender {
    + set() : string
  }
}


@enduml
```

## VDM Joomla Componentbuilder Compiler Interfaces Extension
> namespace VDM\Joomla\Componentbuilder\Compiler\Interfaces\Extension
```uml
@startuml

namespace VDM\Joomla\Componentbuilder\Compiler\Interfaces\Extension #DeepSkyBlue {


  interface InstallInterface  #Lavender {
    + getOfficialName() : string
    + getClassName() : string
    + getInstallerClassName() : string
  }
}


@enduml
```

## VDM Joomla Componentbuilder Compiler Interfaces Field
> namespace VDM\Joomla\Componentbuilder\Compiler\Interfaces\Field
```uml
@startuml

namespace VDM\Joomla\Componentbuilder\Compiler\Interfaces\Field #DeepSkyBlue {


  interface CoreValidationInterface  #Lavender {
    + get() : array
  }
}


@enduml
```

## VDM Joomla Componentbuilder Compiler Power Repo
> namespace VDM\Joomla\Componentbuilder\Compiler\Power\Repo
```uml
@startuml

namespace VDM\Joomla\Componentbuilder\Compiler\Power\Repo #DeepSkyBlue {


  class Readme  #Gold {
    # Power $power
    # Plantuml $plantuml
    + __construct()
    + get() : string
  }
}


@enduml
```

## VDM Joomla Componentbuilder Compiler Power Repos
> namespace VDM\Joomla\Componentbuilder\Compiler\Power\Repos
```uml
@startuml

namespace VDM\Joomla\Componentbuilder\Compiler\Power\Repos #DeepSkyBlue {


  class Readme  #Gold {
    # Power $power
    # Plantuml $plantuml
    + __construct()
    + get() : string
    - readmeBuilder() : string
    - readmeModel() : string
    - generateIndex() : string
    - generateDiagramBucket() : string
    - defineTypeOrder() : array
    - sortClasses() : void
    - compareNamespace() : int
    - compareType() : int
    - compareName() : int
    - generateNamespaceDiagram() : string
    - indexLinkPower() : string
    - linkPowerRepo() : string
    - linkPowerCode() : string
    - linkPowerSettings() : string
    - linkPowerGuid() : string
  }
}


@enduml
```


---
```
     ██╗ ██████╗  ██████╗ ███╗   ███╗██╗      █████╗
     ██║██╔═══██╗██╔═══██╗████╗ ████║██║     ██╔══██╗
     ██║██║   ██║██║   ██║██╔████╔██║██║     ███████║
██   ██║██║   ██║██║   ██║██║╚██╔╝██║██║     ██╔══██║
╚█████╔╝╚██████╔╝╚██████╔╝██║ ╚═╝ ██║███████╗██║  ██║
 ╚════╝  ╚═════╝  ╚═════╝ ╚═╝     ╚═╝╚══════╝╚═╝  ╚═╝
 ██████╗ ██████╗ ███╗   ███╗██████╗  ██████╗ ███╗   ██╗███████╗███╗   ██╗████████╗
██╔════╝██╔═══██╗████╗ ████║██╔══██╗██╔═══██╗████╗  ██║██╔════╝████╗  ██║╚══██╔══╝
██║     ██║   ██║██╔████╔██║██████╔╝██║   ██║██╔██╗ ██║█████╗  ██╔██╗ ██║   ██║
██║     ██║   ██║██║╚██╔╝██║██╔═══╝ ██║   ██║██║╚██╗██║██╔══╝  ██║╚██╗██║   ██║
╚██████╗╚██████╔╝██║ ╚═╝ ██║██║     ╚██████╔╝██║ ╚████║███████╗██║ ╚████║   ██║
 ╚═════╝ ╚═════╝ ╚═╝     ╚═╝╚═╝      ╚═════╝ ╚═╝  ╚═══╝╚══════╝╚═╝  ╚═══╝   ╚═╝
██████╗ ██╗   ██╗██╗██╗     ██████╗ ███████╗██████╗
██╔══██╗██║   ██║██║██║     ██╔══██╗██╔════╝██╔══██╗
██████╔╝██║   ██║██║██║     ██║  ██║█████╗  ██████╔╝
██╔══██╗██║   ██║██║██║     ██║  ██║██╔══╝  ██╔══██╗
██████╔╝╚██████╔╝██║███████╗██████╔╝███████╗██║  ██║
╚═════╝  ╚═════╝ ╚═╝╚══════╝╚═════╝ ╚══════╝╚═╝  ╚═╝
```
> Build with [Joomla Component Builder](https://git.vdm.dev/joomla/Component-Builder)

